function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURIComponent(r[2]); return null;
}
window.addEventListener("updateSelProduct",function(){
	getSelProductList()
});
window.addEventListener("set_back",function(e){ //未支持不同类型
	var product_id = e.detail.product_id,
		item = e.detail.item,product_sn_list = e.detail.product_sn_list,type = e.detail.type;
	product_sn_list = _.compact(product_sn_list)
	if(mui.os.ios){
		mui.plusReady(function(){
			setTimeout(function(){
				snsAdd()
			},200)
		})
	}else{
		snsAdd()
	}
	function snsAdd(){
		sessionStorage.removeItem("selProductList");
		var selProductList = JSON.parse(localStorage.getItem("selProductList"));
		if (selProductList) {
			mui.each(selProductList,function(sel,product){
				if(product.product_id == product_id){
					mui.each(product.list,function(pro,list){
						if(list.color_id == item.color_id && list.size_id == item.size_id && list.ordertype == item.ordertype){
							if(type == 'order_xiao'){
								list.product_sn_list_vip = product_sn_list || [];
							}else{
								list.product_sn_list = product_sn_list || [];
							}
							return false
						}
					})
					return false
				}
			})
			draftVM.selProductList = [];
			draftVM.selProductList = selProductList;
			localStorage.selProductList = JSON.stringify(selProductList)
		}
	}
})
window.addEventListener("draftUpdate",function(e){
	sessionStorage.setItem("draftId",e.detail.draftId);
	sessionStorage.setItem("supplierList",JSON.stringify(e.detail.buyerList));
	sessionStorage.setItem("buyerList",JSON.stringify(e.detail.buyerList));
	sessionStorage.setItem("defaultCustomer",e.detail.defaultCustomer);
	getDraft()
});
mui.plusReady(function(){
	var arg = JSON.parse(plus.webview.currentWebview().arg);
	sessionStorage.setItem("draftId",arg.draftId);
	sessionStorage.setItem("supplierList",JSON.stringify(arg.buyerList));
	sessionStorage.setItem("buyerList",JSON.stringify(arg.buyerList));
	sessionStorage.setItem("defaultCustomer",arg.defaultCustomer);
	getDraft()
});
Vue.filter("time-format", function (time) {
	var date = new Date(time);
	var newDate = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	return newDate;
});
var keyList = [];
function getKeyList(){
	mui.ajax(severUrl + "scm/productother/dataGrid.json", {
		async:false,
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 10000,//超时时间设置为10秒；
		success: function (res) {
			if(res.success){
				keyList = res.data.list;
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}
var simpleQryTime =0;
var dikou_amt = false;
var draftVM = new Vue({
	el: '#draftVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		list: [],
		originalList: [],
		productList: [],
		totalPage: 0,
		lastPageSize: 0,
		page: 0,
		getSwitch: true,
		searchMsg: '',
		searchList: [],
		// selectedDepot: sessionStorage.getItem("selectedDepot") || '',
        selectedDepot:'',
		selectedSupplier: '',
		selectedBuyer: '',
		depotList: [],
		buyerList: [],
		supplierList: [],
		userList:[],
		telePhone:'',
		remark: sessionStorage.getItem("remark") || '',
		order_from:0,
		selProductList: [],
		totalPrice: 0,
		editTotalPrice: 0,
		totalAmount: 0,
		vipPrice:0,
		vipCount:0,
		createDate: sessionStorage.getItem("createDate") || '',
		realname: sessionStorage.getItem("realname") || '',
		moLing: sessionStorage.getItem("moLing") || 0,
		realPay: 0,
		itl: '',
		vipLevel:localStorage.getItem("vipLevel"),
		order_flag: sessionStorage.getItem("order_flag") || 5,
		truePay: 0,
		noPay: 0,
        isPay: true,
		deliveryDate: loadNowDate(),
		pay_status:1,
		account_id:'', //收款账户ID
		deliveryType: 0,
		deliveryStatus: 1,
		depotName: '',
		buyerName: '',
		deliveryName: '自提',
		deliveryStatusName: '已发',
        head_name:'',
		//积分与抵现参数
		jifenKT:0, //积分开通
		jifenRule:0,//积分规则
		dixianKT:0, //抵现开通
		dixianRule:0, //抵线规则
		cost_money_unit:0, //每消费 元
		increase_bonus:0, //可积 分
		dxCost_money_unit:0, //抵扣 元
		dxIncrease_bonus:0, //每使用 分
		customerIntegral:0, //客户已有积分
		cgUseIntegral:0, //开单使用积分
		customerAddIntegral:'', //客户增加积分
		dkNumber:0, //抵扣金额
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1 ,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
        draft_logistics_number: sessionStorage.getItem("draft_logistics_number"),
		consignee_address:'',
		// print_address:'',
		expenseName:'', //费用名称
		expense:0, //费用金额
		expenseId:0, //历史费用ID
		expenseDegression:0, //费用成本
		expenseList:[],
		//管理员选择销售员
		allUserList: [],
		orderUserId:'',
		//结算账户查询
		accountList:[],
		accountBalance:'default', //欠款
		truePayFirst:true, //帮助抵扣处理
		usedAmounts: 0, //已出库数量
		dingjin:0,
		orderTimeModify:false, //订单时间修改
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		print_status:0,
		keyList: keyList
		//--------------------
	},
	watch: {
		orderUserId:function(){ //销售员选择
			var _this = this;
			mui.each(_this.allUserList,function(i,v){
				if(v.id == _this.orderUserId){
					_this.realname = v.realname
				}
			})
		},
		/*监听库房*/
		selectedDepot: {
			handler: function (newVal,oldVal) {
				for (var i = 0, len = draftVM.depotList.length; i < len; i++) {
					if (draftVM.depotList[i].id == newVal) {
						draftVM.depotName = draftVM.depotList[i].name;
					}
				}
				// if (newVal !== oldVal  && newVal !== "修改") { // 现不支持修改
				if (newVal !== oldVal) {
					sessionStorage.setItem("selectedDepot", newVal)
				}
			}
		},
		/*物流监听*/
        deliveryType:{
            handler: function (newVal) {
            	var _this = this;
				var arr = ['自提', '快递', '物流', '送货'];
				this.deliveryName = arr[newVal];
				var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
				if(this.deliveryType !=0 && this.consignee_address ==''){
					if(this.deliveryStatus == 0){

					}else{

					}
				}else{
					if(isActive){
						mui("#mySwitch").switch().toggle();
						$("#mySwitch .mui-switch-handle").css("transform","translate(0px, 0px)")
						setTimeout(function(){
							this.deliveryStatus = 1
							var arr = ['未发', '已发'];
							this.deliveryStatusName = arr[newVal];
						},500)
					}
				}
				if(!_this.selectedSupplier){
					return
				}
				//非默认客户查询信息
				var thisDeliveryType = this.deliveryType;
				if(this.selectedSupplier != sessionStorage.getItem('defaultCustomer') && this.deliveryType !=0 && this.consignee_address==''){
					mui.ajax(severUrl + "crm/customer/qryOp.json", {
						data: {
							id:_this.selectedSupplier,
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 20000,
						success: function (res) {
							if(thisDeliveryType != 3){
								draftVM.consignee_address = res.data.customer.name;
								// draftVM.print_address = res.data.customer.address;
								if(res.data.customer.telephone){
									draftVM.consignee_address +=','+res.data.customer.telephone
								}
								if(res.data.customer.address){
									draftVM.consignee_address +=','+res.data.customer.address
								}
							}else{
								draftVM.consignee_address = res.data.customer.address
							}
						}
					});
				}
            }
		},
        deliveryStatus:{
            handler: function (newVal) {
                var arr = ['未发', '已发'];
                this.deliveryStatusName = arr[newVal];
            }
		},
        truePay: function (val) {
        	if(this.vipLevel == 1){
				if (this.vipPrice > 0) {
					this.noPay = numToCur(Number(this.vipPrice) - (Number(this.truePay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.noPay = numToCur(Number(this.vipPrice) - (Number(this.truePay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
                if (this.truePay!=0){
                    $(".quanQian").css('background-color','#556890')
                }else if (this.truePay==0 && this.vipPrice !=0 && (this.vipPrice != this.moLing && Math.abs(this.vipPrice) !=this.moLing)){
                    $(".quanQian").css('background-color','gainsboro')
                }
			}else{
				if (this.totalPrice > 0) {
					this.noPay = numToCur(Number(this.totalPrice) - (Number(this.truePay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.noPay = numToCur(Number(this.totalPrice) - (Number(this.truePay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
                if (this.truePay!=0){
                    $(".quanQian").css('background-color','#556890')
                }else if (this.truePay==0 && this.totalPrice !=0 && (this.totalPrice != this.moLing && Math.abs(this.totalPrice) !=this.moLing)){
                    $(".quanQian").css('background-color','gainsboro')
                }
			}
			this.customerAddIntegral = parseInt(this.truePay - Number(this.expense || 0)/this.cost_money_unit * this.increase_bonus);
			if(this.accountBalance != 'default' && this.truePayFirst){
				if(Number(this.accountBalance) <0){
					if(this.editTotalPrice > 0){
						if(-Number(this.accountBalance) >= Number(this.editTotalPrice)){
							this.truePay = 0
						}else{
							this.truePay = numToCur(Number(this.accountBalance) + Number(this.editTotalPrice),draftVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}else{
					if(this.editTotalPrice < 0){
						if(Number(this.accountBalance) >= -Number(this.editTotalPrice)){
							this.truePay = 0
						}else{
							this.truePay = numToCur(Number(this.accountBalance) + Number(this.editTotalPrice),draftVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}
			}
        },
        moLing: function (val) {
        	if(this.vipLevel == 1){
				if (this.vipPrice > 0) {
					this.truePay = numToCur(Number(this.vipPrice) - (Number(this.noPay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.truePay = numToCur(Number(this.vipPrice) - (Number(this.noPay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
			}else{
				if (this.totalPrice > 0) {
					this.truePay = numToCur(Number(this.totalPrice) - (Number(this.noPay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.truePay = numToCur(Number(this.totalPrice) - (Number(this.noPay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
			}

        },
        noPay: function (val) {
        	if(this.vipLevel == 1){
				if (this.vipPrice > 0) {
					this.truePay = numToCur(Number(this.vipPrice) - (Number(this.noPay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.truePay = numToCur(Number(this.vipPrice) - (Number(this.noPay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
			}else{
				if (this.totalPrice > 0) {
					this.truePay = numToCur(Number(this.totalPrice) - (Number(this.noPay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.truePay = numToCur(Number(this.totalPrice) - (Number(this.noPay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
			}
        },
        draft_logistics_number: function (val) {
            sessionStorage.setItem("draft_logistics_number",this.draft_logistics_number)
        }
	},
	computed:{
		sizeName:function(){
			if(this.size_show == 1){
				return '尺码'
			}else{
				if(this.origin_specification ==3){
					return '产地'
				}else{
					return '规格'
				}
			}
		},
		sns_show:function(){
			var _this = this;
			return function(snsArr,count){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(snsArr && snsArr.length > 0 && count != '' && count > 0 && snsArr.length == count){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		}
	},
	methods: {
		vip_choose_sn:function(item,product){
			var _this = this;
			if(!item.next_used || Number(item.next_used <=0)){
				return mui.toast("请先选择出库数量")
			}
			localStorage.selProductList = JSON.stringify(draftVM.selProductList)
			var listSend = {
				item:item,
				args:{
					can_choose:item.next_used,
					product_id:item.product_id,
					// depot_id:_this.out_depot,
					model:product.model,
					name:product.name,
					qryPage:'order_xiao'
				}
			};
			viewHandle.openWindow("sns_choose.html","sns_choose.html",JSON.stringify(listSend))
		},
		sns_look:function(item,product,e){//sn查看
		// 点击序列号图标放大
		e.target.style.fontSize='18px'
		setTimeout(function(){
			e.target.style.fontSize='16px'
		},80)
			var listSend = {
				item:item,
				product:product,
				parentPage:'order'
			};
			viewHandle.openWindow("sns_show.html","sns_show.html",JSON.stringify(listSend))
		},
		snsSet:function(item,product,e){//sn设置
		// 点击序列号图标放大
		e.target.style.fontSize='18px'
		setTimeout(function(){
			e.target.style.fontSize='16px'
		},80)
			var listSend = {
				item:item,
				product:product,
				args:{
					depot_id:draftVM.selectedDepot,
					parentPage:'xiao_order'
				}
			};
			viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		vipPricseEdit:function(){
			var _this = this;
			if (_this.vipPrice > 0) {
				_this.noPay = numToCur(Number(_this.vipPrice) - (Number(_this.truePay) + Number(_this.moLing) + Number(_this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
			} else {
				_this.noPay = numToCur(Number(_this.vipPrice) - (Number(_this.truePay) - Number(_this.moLing) - Number(_this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
			}
			if (_this.truePay!=0){
				$(".quanQian").css('background-color','#556890')
			}else if (_this.truePay==0 && _this.vipPrice !=0 && (_this.vipPrice != _this.moLing && Math.abs(_this.vipPrice) !=_this.moLing)){
				$(".quanQian").css('background-color','gainsboro')
			}
			_this.customerAddIntegral = parseInt(_this.truePay - Number(_this.expense || 0)/_this.cost_money_unit * _this.increase_bonus);
			if(_this.accountBalance != 'default' && _this.truePayFirst){
				if(Number(_this.accountBalance) <0){
					if(_this.editTotalPrice > 0){
						if(-Number(_this.accountBalance) >= Number(_this.editTotalPrice)){
							_this.truePay = 0
						}else{
							_this.truePay = numToCur(Number(_this.accountBalance) + Number(_this.editTotalPrice),draftVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}else{
					if(_this.editTotalPrice < 0){
						if(Number(_this.accountBalance) >= -Number(_this.editTotalPrice)){
							_this.truePay = 0
						}else{
							_this.truePay = numToCur(Number(_this.accountBalance) + Number(_this.editTotalPrice),draftVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}
			}
		},
		logistics_number:function(){
			var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
			if(draftVM.draft_logistics_number != ''){
				if(isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(0px, 0px)")
				}
			}else{
				if(!isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(43px, 0px)")
				}
			}
		},
		searchProduct: function () {
            if(this.searchMsg==null || this.searchMsg==''){
                draftVM.list=[];
                mui("#popover").popover("hide");
                $("#hidePopover").css('display','none');
            }else{
            	clearTimeout(simpleQryTime);
				simpleQryTime = setTimeout(function () {
					mui.ajax(severUrl + "scm/product/dataGridSimple", {
						data: {
							keyword:draftVM.searchMsg
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 10000,
						success: function (res) {
							if (res.success) {
								draftVM.list = []
								if(draftVM.searchMsg !='' && draftVM.searchMsg !=null){
									draftVM.list = draftVM.list.concat(res.data.list);
									if(draftVM.list.length<=0){
										var list={"model":"去创建商品？"};
										draftVM.list.push(list);
									}
									mui("#popover").popover("show");
									$("#hidePopover").css('display','block');
								}
							}
						}
					});
				},150)
            }
		},
		getIntegral:function(){
			draftVM.customerAddIntegral = parseInt((draftVM.truePay - Number(draftVM.expense || 0))/draftVM.cost_money_unit * draftVM.increase_bonus);
		},
		calculation: function () {
			var count = 0,totalPrice = 0,usedAmounts = 0;
			mui.each(this.selProductList, function (index1, product) {
				var ratio = 1;
				if(product.unitChooseRatio){
					ratio = product.unitChooseRatio
				}
				mui.each(product.list, function (index2, value) {

					if (value.ordertype == 0) {
						totalPrice += Number(value.count * product.amt);
						count += Number(value.count * ratio);
						usedAmounts += Number(value.used_amount * ratio);
					} else {
						totalPrice -= Number(value.count * product.amt);
						count -= Number(value.count * ratio);
						usedAmounts -= Number(value.used_amount * ratio);
					}
				});
				// }
			});
			this.totalAmount =numToCur(count,draftVM.systemSetting.amount_decimals_setting);
			this.usedAmounts =numToCur(usedAmounts,draftVM.systemSetting.amount_decimals_setting);
			this.totalPrice = numToCur(Number(totalPrice) + Number(this.expense),draftVM.systemSetting.price_decimals_setting,'price');
			if (this.totalPrice < 0) {
				this.truePay = Number(this.totalPrice) + Number(this.moLing);
				this.editTotalPrice = numToCur(Number(this.totalPrice) + Number(this.moLing),draftVM.systemSetting.price_decimals_setting,'price');
			} else {
				this.truePay = Number(this.totalPrice) - Number(this.moLing) - Number(this.dkNumber);
				this.editTotalPrice = numToCur(Number(this.totalPrice) - Number(this.moLing) - Number(this.dkNumber),draftVM.systemSetting.price_decimals_setting,'price');
			}
		},
		vipCalculation: function (type) {
			var vipPrice = 0,vipCount = 0;
			mui.each(this.selProductList, function (index1, product) {
				// if (product.depot_id == draftVM.selectedDepot) {
				var ratio = 1;
				if(product.unitChooseRatio){
					ratio = product.unitChooseRatio
				}
				mui.each(product.list, function (index2, value) {
					if (value.ordertype == 0) {
						vipPrice += Number((value.next_used || 0) * product.amt);
						vipCount += Number((value.next_used || 0) * ratio);
					} else {
						vipPrice -= Number((value.next_used || 0) * product.amt);
						vipCount -= Number((value.next_used || 0) * ratio);
					}
				});
				// }
			});
			this.vipPrice = numToCur(Number(vipPrice) + Number(this.expense),draftVM.systemSetting.price_decimals_setting,'price');
			this.vipCount = numToCur(vipCount,draftVM.systemSetting.amount_decimals_setting);
			if (this.vipPrice < 0) {
				this.truePay = Number(this.vipPrice) + Number(this.moLing);
				this.editTotalPrice = numToCur(Number(this.vipPrice) + Number(this.moLing),draftVM.systemSetting.price_decimals_setting,'price');
			} else {
				this.truePay = Number(this.vipPrice) - Number(this.moLing) - Number(this.dkNumber);
				this.editTotalPrice = numToCur(Number(this.vipPrice) - Number(this.moLing) - Number(this.dkNumber),draftVM.systemSetting.price_decimals_setting,'price');
			}
			if(type == 'reset'){
				this.vipPricseEdit() //价格相同主动触发
			}
		},
		clearUser:function(){
			this.buyerName='';
			this.searchUser();
		},
		qryCustomerBySimple:function(type){
			clearTimeout(simpleQryTime)
			simpleQryTime = setTimeout(function () {
				mui.ajax(severUrl + "crm/customer/dataGridSimple.json", {
					data: {
						keyword:draftVM.buyerName,
						type: 1,
						qryType: -1,
						rows: 20,
						page: 1
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function (res) {
						if (res.success) {
							draftVM.userList = res.data.list;
							mui("#hideUserPopover").scroll().scrollTo(0,0,0);
							mui("#userPopover").popover("show");
							$("#hideUserPopover").css('display','block');
						}
					}
				});
			},150)
		},
		searchUser:function(){
			var _this = this;
			_this.userList=[];
			if(_this.buyerName==null || _this.buyerName==''){
				_this.qryCustomerBySimple()
			}else{
				_this.qryCustomerBySimple("search")
			}
		},
		vipNextUsedAll:function(){
			var _this = this;
			mui.each(_this.selProductList,function(i,v){
			    mui.each(v.list,function(n,m){
			        var next_used = numToCur(m.count - m.used_amount)>0?numToCur(m.count - m.used_amount):''
					m.next_used = next_used
			    })
			})
			_this.$nextTick(function(){
				_this.$forceUpdate();
				_this.vipCalculation("reset")
			})
		},
		vipNextUsed:function(item){
			var _this = this;
			if(item.next_used != ''){
				if(item.next_used > numToCur(item.count - item.used_amount)){
					mui.toast("您已出库"+item.used_amount+"件,再次出库"+item.next_used+"件将超过订单数量");
					if(numToCur(item.count - item.used_amount) >0){
						// draftVM.$set(item,'next_used',numToCur(item.count - item.used_amount))
						item.next_used = numToCur(item.count - item.used_amount)
					}else{
						// draftVM.$set(item,'next_used','')
						item.next_used = ''
					}
				}
			}
			_this.$nextTick(function(){
				_this.$forceUpdate();
				_this.vipCalculation("reset")
			})
			console.log(draftVM.selProductList)
		},
		vipAdd:function(type,item){
			var _this = this;
			if(type == 'single'){
				if(!item.next_used) {
					item.next_used = 1
				}else{
					item.next_used = Number(item.next_used) + 1
				}
				_this.vipNextUsed(item)
			}else{
				mui.each(_this.selProductList,function(i,v){
					mui.each(v.list,function(n,m){
						if(numToCur(m.count - m.used_amount)>0){
							if(!m.next_used){
								if(numToCur(m.count - m.used_amount) >=1){
									m.next_used = 1
								}else{
									m.next_used = numToCur(m.count - m.used_amount)
								}
							}else{
								if(m.next_used < numToCur(m.count - m.used_amount) && numToCur(m.count - m.used_amount) >= 1){
									m.next_used +=1
								}else{
									m.next_used = numToCur(m.count - m.used_amount)
								}
							}
						}
					})
				})
				_this.$nextTick(function(){
                    _this.$forceUpdate();
					_this.vipCalculation("reset")
				})
                var allCheck = true,useCheck = false
                mui.each(_this.selProductList,function(i,v){
                    mui.each(v.list,function(n,m){
                        if(m.count > m.used_amount && m.count != m.next_used){
                            allCheck = false;
                            return false
                        }
                    })
                })
				if(allCheck){
				    mui.toast("商品已全部出库")
                }
			}
		},
		vipReduce:function(type,item){
			var _this = this;
			if(type == 'single'){
				if(item.next_used) {
					if(Number(item.next_used) > 0){
						item.next_used = Number(item.next_used) - 1
					}
				}
				item.next_used <= 0?item.next_used = '':item.next_used = item.next_used;
				
				$.each(draftVM.selProductList,function(outer_i,value){
					 $.each(value.list,function(inner_i,info){
						 var product_sn_list_vip=info.product_sn_list_vip||[]
						 if(Number(item.next_used)<product_sn_list_vip.length){
							product_sn_list_vip=product_sn_list_vip.slice(0,Number(item.next_used))
						 }
						 info.product_sn_list_vip=_.cloneDeep(product_sn_list_vip)
					 })
					
				})
				
				_this.$nextTick(function(){
					_this.$forceUpdate();
					_this.vipCalculation()
				})
			}else{
				mui.each(_this.selProductList,function(i,v){
					mui.each(v.list,function(n,m){
						if(numToCur(m.count - m.used_amount)>0){
							if(m.next_used){
								m.next_used -=1;
								m.next_used <= 0?m.next_used = '':m.next_used = m.next_used
							}
						}
					})
				})
				_this.$nextTick(function(){
					_this.$forceUpdate();
					_this.vipCalculation("reset")
				})
			}
		}
	},
	created: function () {

	},
	mounted: function () {
		var _this = this;
		FastClick.attach(document.body);
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $(".focusHidden").hide();
                } else {
                    $(".focusHidden").show();
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        })
		mui.plusReady(function(){
			getKeyList()
			changeOrderFlag(this);
			setListener();
			qryUser();
			_this.getPurview()
		})
	}
});

function getDraft(){
	var draftId = sessionStorage.getItem("draftId");
	var selProductList = JSON.parse(sessionStorage.getItem("selProductList"));
	draftVM.supplierList = JSON.parse(sessionStorage.getItem("buyerList")); //最取值错误？？？。。。。。。。。。
	draftVM.buyerList = JSON.parse(sessionStorage.getItem("buyerList")); //..........
	draftVM.depotList = JSON.parse(localStorage.getItem("depotList"));
	if (!selProductList) {
		mui.ajax(severUrl + "scm/order/qryOp.json", {
			data: {
				id: draftId
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				if(res.success){
					draftVM.selProductList = [];
					draftVM.order_flag = res.data.order_flag;
					draftVM.remark = res.data.remark;
					draftVM.order_from = res.data.order_from;
					draftVM.dingjin =numToCur(res.data.order_amt,draftVM.systemSetting.price_decimals_setting,'price');
					draftVM.pay_status = res.data.pay_status;
					draftVM.head_name = res.data.head_name;
					// 储存订单信息
					localStorage.setItem('draftInfo',JSON.stringify(res.data))
					setTimeout(function(){
						$('#remark[autoHeight]').autoHeight();
					},280)
					var test=res.data.consignee_address;
					var mapObj = {
						"{":"",
						"consignee":"收货人",
						"mobile":"电话",
						"address":"地址",
						"transportDay":"收货时间",
						"}":""
					};
					test = test.replace(/{|consignee|mobile|address|transportDay|}/gi, function(matched){
						return mapObj[matched];
					});
					draftVM.consignee_address = test;

					//价格绑定
					AB_price(res.data);
					draftVM.selectedDepot = res.data.depot_id;
					draftVM.draft_logistics_number = res.data.logistics_number;
					sessionStorage.setItem("draft_logistics_number",draftVM.draft_logistics_number);
					//草稿物流信息参数修改以便监听
					draftVM.deliveryType=res.data.delivery_type;
					draftVM.deliveryStatus=res.data.delivery_status;
					draftVM.realname = res.data.creater_name;
					getAllUser(res.data.creater_name);
					//客户查询
					getById(res.data.customer_id);
					draftVM.moLing = res.data.rebate_amt;
					changeOrderFlag(res.data);

					var selProductList = [];
					mui.each(res.data.productlist, function (index, product) {
						if(product.display_unit_ratio !=undefined && product.display_unit_ratio !=''){
							var isToFixed=Number(product.amount/product.display_unit_ratio);
							var count = numToCur(isToFixed,draftVM.systemSetting.amount_decimals_setting)
							// if(isToFixed %1 !==0){
							// 	var count=isToFixed.toFixed(2)
							// }else{
							// 	var count=isToFixed.toFixed(0)
							// }
						}else{
							var count= numToCur(product.amount,draftVM.systemSetting.amount_decimals_setting)
						}
						if (selProductList.length == 0) {
							selProductList.push({
								unit: product.unit,
								product_id: product.product_id,
								billsn: res.data.billsn,
								name: product.product_name,
								purchase_price: product.purchase_price,
								model: product.product_model,
								orderId: product.id,
								id: product.product_id,
								product_name: product.product_name,
								sale_price: numToCur(product.sale_price * (product.display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
								amt: numToCur(product.amt * (product.display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
								depot_id: res.data.depot_id,
								material:product.material,
								sale_price_a: numToCur(product.sale_price_a,draftVM.systemSetting.price_decimals_setting,'price'),
								sale_price_b: numToCur(product.sale_price_b,draftVM.systemSetting.price_decimals_setting,'price'),
								unitChooseId : product.display_unit_id,
								unitChooseName : product.display_unit_name,
								unitChooseRatio : product.display_unit_ratio,
								list: [{
									size_name: product.size_name,
									amount: count,
									color_id: product.color_id,
									product_id: product.product_id,
									size_id: product.size_id,
									depot_id: res.data.depot_id,
									color_name: product.color_name,
									product_sn_list:_.compact(_.split(product.product_sn_list,',')),
									product_sn_list_old:_.compact(_.split(product.product_sn_list,',')),
									product_sn_list_vip:_.compact(_.split(product.product_sn_list_vip,',')),
									product_sn_list_status:_.compact(_.split(product.product_sn_list_status,',')),
									product_sn_used_list:_.compact(_.split(product.product_sn_used_list,',')),
									count: count,
									barcode:product.barcode,
									ordertype: product.type,
									used_amount: numToCur(product.used_amount / (product.display_unit_ratio || 1),draftVM.systemSetting.amount_decimals_setting),
									form_order:1
								}]
							})
						} else {
							mui.each(selProductList, function (index1, selProduct) {
								if (product.product_id == selProduct.product_id) {
									selProduct.list.push({
										size_name: product.size_name,
										amount: count,
										color_id: product.color_id,
										product_id: product.product_id,
										barcode:product.barcode,
										size_id: product.size_id,
										depot_id: res.data.depot_id,
										color_name: product.color_name,
										product_sn_list:_.compact(_.split(product.product_sn_list,',')),
										product_sn_list_old:_.compact(_.split(product.product_sn_list,',')),
										product_sn_list_vip:_.compact(_.split(product.product_sn_list_vip,',')),
										product_sn_list_status:_.compact(_.split(product.product_sn_list_status,',')),
										product_sn_used_list:_.compact(_.split(product.product_sn_used_list,',')),
										count: count,
										ordertype: product.type,
										used_amount: numToCur(product.used_amount / (product.display_unit_ratio || 1),draftVM.systemSetting.amount_decimals_setting),
										form_order:1
									});
									return false;
								} else if (index1 == selProductList.length - 1) {
									selProductList.push({
										unit: product.unit,
										product_id: product.product_id,
										billsn: res.data.billsn,
										name: product.product_name,
										purchase_price: product.purchase_price,
										model: product.product_model,
										orderId: product.id,
										id: product.product_id,
										product_name: product.product_name,
										sale_price: numToCur(product.sale_price * (product.display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
										amt: numToCur(product.amt * (product.display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
										depot_id: res.data.depot_id,
										unitChooseId : product.display_unit_id,
										unitChooseName : product.display_unit_name,
										unitChooseRatio : product.display_unit_ratio,
										material:product.material,
										sale_price_a: numToCur(product.sale_price_a,draftVM.systemSetting.price_decimals_setting,'price'),
										sale_price_b: numToCur(product.sale_price_b,draftVM.systemSetting.price_decimals_setting,'price'),
										list: [{
											size_name: product.size_name,
											color_id: product.color_id,
											product_id: product.product_id,
											size_id: product.size_id,
											depot_id: res.data.depot_id,
											product_sn_list:_.compact(_.split(product.product_sn_list,',')),
											product_sn_list_old:_.compact(_.split(product.product_sn_list,',')),
											product_sn_list_vip:_.compact(_.split(product.product_sn_list_vip,',')),
											product_sn_list_status:_.compact(_.split(product.product_sn_list_status,',')),
											product_sn_used_list:_.compact(_.split(product.product_sn_used_list,',')),
											color_name: product.color_name,
											barcode:product.barcode,
											count: count,
											ordertype: product.type,
											used_amount: numToCur(product.used_amount / (product.display_unit_ratio || 1),draftVM.systemSetting.amount_decimals_setting),
											form_order:1
										}]
									})
								}
							});
						}
					});
					draftVM.selProductList = selProductList;
					draftVM.$nextTick(function () {
						mui('.mui-switch')['switch']();
						$(".listSwitch").css('transform','none');
						draftVM.createDate = res.data.sign_date.slice(0, res.data.sign_date.indexOf(" "));
						draftVM.draftDate = res.data.sign_date
					});
					// draftVM.vipLevel == 1?draftVM.vipCalculation():draftVM.calculation()
					draftVM.calculation();
					localStorage.setItem("selProductList",JSON.stringify(selProductList));
				}else{
					mui.toast(res.msg)
				}
			}
		});
	}
}
//通过商品及客户ID查询单个商品
function qryByProductIdAndCustomerId(i,v,user,AB_price) {
	var salePrice='';
	mui.ajax(severUrl + "scm/product/qryOp.json", {
		data: {
			"id":v.id,
			"customer_id":user,
			"is_default":0
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 8000,
		success: function (res) {
			if(res.success){
				if(user != ''){
					salePrice=res.data.last_amt != ''?res.data.last_amt : res.data.sale_price
				}else{
					salePrice=res.data.sale_price
				}
				v.amt=numToCur(salePrice * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
				v.sale_price=numToCur(salePrice * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
				//AB价格记录
				mui.each(AB_price,function(index,value){
					if(value.product_id == v.product_id && value.depot_id == draftVM.selectedDepot){
						value.AB_price=salePrice;
						return false;
					}
				});
				if(i == draftVM.selProductList.length-1){
					setTimeout(function(){
						draftVM.calculation();
					},500)
					viewHandle.close()
				}
			}
		}
	});
	return salePrice;
}

function AB_price(list){
	var AB_price=[];
	for(var i=0; i<list.productlist.length; i++){
		if(i==0){
			AB_price.push({
				"AB_price":numToCur(list.productlist[i].amt * (list.productlist[i].display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
				"unitChooseId":list.productlist[i].display_unit_id || '',
				"product_id":list.productlist[i].product_id,
				"depot_id":list.depot_id
			})
		}else{
			if(list.productlist[i].product_id != list.productlist[i-1].product_id){
				AB_price.push({
					"AB_price":numToCur(list.productlist[i].amt * (list.productlist[i].display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
					"product_id":list.productlist[i].product_id,
					"unitChooseId":list.productlist[i].display_unit_id || '',
					"depot_id":list.depot_id
				})
			}
		}
	}
	localStorage.setItem("AB_price",JSON.stringify(AB_price))
}
function qryUser(){
    mui.ajax(severUrl + "sso/user/qryOp.json", {
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        async:false,
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            // if(typeof res.data=="undefined") return;
            if(res.data.manage_depot_id != -1){
                document.getElementById('my_depot').disabled=true;
            }
        }
    });
}
function getAllUser(name) {
	mui.ajax(severUrl + "sso/user/dataAll.json",{
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if (res.msg) {
				mui.plusReady(function(){
					draftVM.allUserList = res.data;
					mui.each(draftVM.allUserList,function(i,v){
					    if(v.realname == name){
                            draftVM.orderUserId = v.id;
                            return false
                        }
                    })
				})
			}
		}
	});
}
function changeOrderFlag(value) {
	var qizhi = document.getElementById("qizhi");

	if (value.order_flag == 1) {
		qizhi.style.color = "red";
	}
	if (value.order_flag == 2) {
		qizhi.style.color = "yellow";
	}
	if (value.order_flag == 3) {
		qizhi.style.color = "blue";
	}
	if (value.order_flag == 4) {
		qizhi.style.color = "green";
	}
	if (value.order_flag == 5) {
		qizhi.style.color = "#666";
	}
}

mui('body').on('tap', '.icon-sousuo', function () {
    $(".productSearchIpt").focus();
});

mui(".cmdPresent").on('tap', '.sweepCode', function () {
	mui.each(draftVM.depotList, function (index, value) {
		if (value.id == draftVM.selectedDepot) {
			var depot = value.name;
			if (value.name.indexOf('#') != -1) {
				depot = encodeURIComponent(value.name);
			}
			location.href = 'zhijianjxcapp://productscan/param?depot_id=' + draftVM.selectedDepot + '&depot_name=' + depot + '&ordertype=1';
		}
	});
});

function getSelProductList() {
	if(mui.os.ios){
		mui.plusReady(function(){
			setTimeout(function(){
				htmlRender()
			},200)
		})
	}else{
		htmlRender()
	}
	function htmlRender(){
		var selProductList = JSON.parse(localStorage.getItem("selProductList"));
		if (selProductList) {
			draftVM.selProductList = selProductList;
			draftVM.calculation();
			draftVM.$nextTick(function () {
				mui('.mui-switch')['switch']();
				$(".listSwitch").css('transform','none')
			})
			//sessionStorage.removeItem("selProductList");
		}
	}
}
function setListener() {
	var qizhiForm = document.getElementById("qizhiForm");
	var qizhi = document.getElementById("qizhi");
	var qizhi1 = document.getElementById("qizhi1");
	var qizhi2 = document.getElementById("qizhi2");
	var qizhi3 = document.getElementById("qizhi3");
	var qizhi4 = document.getElementById("qizhi4");
	var qizhi5 = document.getElementById("qizhi5");
	var list = qizhiForm.getElementsByTagName('input');
	for (var i = 0; i < list.length; i++) {//遍历处理，对于每个块都有onclick函数
		list[i].onclick = function () {
			for (i = 0; i < list.length; i++) {//在点击事件中再加载一个遍历，当点击事件触发时，先让其他元素的颜色保持不变
				list[i].style.background = "#fff";
			}
			qizhi.style.color = this.style.color;
			this.style.background = "#f1f1f1";//要点击的事件块发生颜色变化，同时上一步使得其他的块颜色保持不变，这就让上一次点击变化的颜色恢复到原来的颜色
			document.getElementById('qizhiForm').style.display = "none";
			draftVM.order_flag = this.value;
			flag = true;
		}
	}

	var flag = true;
	mui(".bg-white").on('tap', '.toggleState', function () {
		if (flag) {
			document.getElementById('qizhiForm').style.display = "block";
			flag = false;
		} else {
			document.getElementById('qizhiForm').style.display = "none";
			flag = true;
		}
	});

	var toggleFlagFh = true;
	mui(".mui-border").on('tap', '.toggle-state-fh', function () {
		mui('.productSearchIpt')[0].blur();
		if (toggleFlagFh) {
			mui('.toggle-state-fh .mui-icon-arrowup')[0].style.display = "block";
			mui('.selectFormFh')[0].style.display = "block";
			mui('.toggle-state-fh .mui-icon-arrowdown')[0].style.display = "none";

			toggleFlagFh = false;
		} else {
			mui('.toggle-state-fh .mui-icon-arrowup')[0].style.display = "none";
			mui('.selectFormFh')[0].style.display = "none";
			mui('.toggle-state-fh .mui-icon-arrowdown')[0].style.display = "block";

			toggleFlagFh = true;
		}
	})

	window.addEventListener("pageshow", function () {
		getSelProductList();

		var deliveryDate = new mui.DtPicker({
			type: "date",
			labels: ['年', '月', '日']
		});

		mui('body').on('tap', '.deliveryDate', function () {
			var _self = this;
			deliveryDate.show(function (e) {
				draftVM.deliveryDate = e.text;
			})
		});

	});
	mui('.fh-status').on('toggle', '.mui-switch', function () {
		if (draftVM.deliveryStatus == 0) {
			draftVM.deliveryStatus = 1;
			draftVM.deliveryStatusName = '已发';
		} else {
			draftVM.deliveryStatus = 0;
			draftVM.deliveryStatusName = '未发';
		}
	});
	function newOrderPrint(){
		mui('.procurement').button('loading');
		// $(".orderPrint").css('pointer-events','none');
		$("button").css('pointer-events','none');
		kaidan()
	}

	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006  
	});
	mui(".mui-content").on('tap', '.mui-switch', function (e) {
		e.stopPropagation();
	});
	mui(".mui-content").on('tap', '.deleteProductItem', function (e) {
		e.stopPropagation();
		var li = e.target.parentNode.parentNode.parentNode;
		var product_id = li.dataset.product_id;
		var index = li.dataset.index;
		var dex=0;
		mui.each(draftVM.selProductList, function (index1, value) {
			if (value.product_id == product_id && value.depot_id == draftVM.selectedDepot) {
				if(value.list[index].used_amount >0){
					mui.toast("已有部分入库的产品不能被删除!")
				}else{
					mui.ajax(severUrl + "scm/order/deleteByOrderProduct.json", {
						data: {
							id: value.orderId,
							product_id: product_id,
							type: value.list[index].ordertype,
							color_id: value.list[index].color_id,
							size_id: value.list[index].size_id
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 8000,
						success: function (res) {
							if (res.status == 200 || res.status == 401) {
								value.list[index].count = 0;
								mui.each(value.list,function(i,v){
									dex+=Number(v.count);
								});
								if(dex==0){
									draftVM.selProductList.splice(index1,1);
									var AB_list=JSON.parse(localStorage.getItem("AB_price"));
									mui.each(AB_list,function(i,v){
										if(product_id == v.product_id && draftVM.selectedDepot == v.depot_id){
											AB_list.splice(i,1)
										}
									});
									localStorage.setItem("AB_price",JSON.stringify(AB_list))
								}
								sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
								localStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
								//localStorage.removeItem("selProductList");
								draftVM.calculation();
							}
						}
					});
				}
				return false;
			}
		});
	});

	mui(".selectFormFh").on('tap', '.sweepNumber', function () {
//		location.href = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
        var sendUrl = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
        var cookie = 'ecp_cookie='+localStorage.getItem("HF");
		if (mui.os.ios == true) {
			sweepCode_i(cookie,sendUrl,777)
		} else if (mui.os.android == true) {
			sweepCode(cookie,sendUrl,777)
		}
	});


	mui('.popover').on('tap', '.quanQian', function () {
		if(draftVM.truePay!=0){
			draftVM.isPay = false;
			draftVM.truePay = 0;
			$(".quanQian").css('background-color','gainsboro')
		} else {
			draftVM.isPay = true;
			draftVM.noPay = 0;
			$(".quanQian").css('background-color','#556890')
		}
	});
	mui('.popover').on('tap', '.zheKou', function () {
		var price = 0;
		draftVM.vipLevel == 1?price = draftVM.vipPrice:price = draftVM.totalPrice;
		var discount=numToCur(Math.abs((Number(price) - Number(draftVM.moLing)) / Number(price) * 10),draftVM.systemSetting.price_decimals_setting,'price');
		mui.confirm("", "折扣", ["取消","确定"], function (e) {
			if(e.index==1){
				var reduced = Number(mui("#discount")[0].value);
				var editPrice = Number(mui("#reduced")[0].value);
				var isDiscounte = /^[0-9]{1}|[0-9]{1}.[0-9]*$/;
				if (isDiscounte.test(reduced) && reduced <= 10) {
					draftVM.moLing=numToCur(editPrice,draftVM.systemSetting.price_decimals_setting,'price');
					draftVM.vipLevel == 1?draftVM.vipCalculation():draftVM.calculation()
				}else{
					mui.toast("折扣金额错误，请检查。")
				}
			}else{

			}
		},'div');
		$(".mui-popup-title").remove();
		$(".mui-popup-input input").remove();
		var muiPrompt ="<div style='display: flex; align-items: center;'>" +
			"<span style='width: 45px'>优惠：</span>" +
			"<input class='my-popup-input' placeholder='0元' type='number' id='reduced' @input='reduced' value='"+draftVM.moLing+"' />" +
			"</div>" +
			"<div style='display: flex; align-items: center; margin-top: 10px'>"+
			"<span style='width: 45px'>折扣：</span>" +
			"<input class='my-popup-input' placeholder='0-10折' type='number' id='discount' @input='discount' value='"+discount+"' />" +
			"</div>";
		$(".mui-popup-text").html(muiPrompt);
		document.getElementById("reduced").addEventListener("input", function(event) {
			//优惠后折扣计算
			var editPrice = Number(mui("#reduced")[0].value);
			var zhekou=(Number(Math.abs(price) - editPrice)) / Number(Math.abs(price)) * 10;
			mui("#discount")[0].value=numToCur(zhekou,draftVM.systemSetting.price_decimals_setting,'price')
		});
		document.getElementById("reduced").addEventListener("click", function(event) {
			mui("#reduced")[0].value = ""
		});
		document.getElementById("reduced").addEventListener("blur", function(event) {
			if(mui("#reduced")[0].value == ''){
				mui("#reduced")[0].value = draftVM.moLing
			}
		});
		document.getElementById("discount").addEventListener("input", function(event) {
			//折扣后优惠计算
			var editPrice = Number(mui("#discount")[0].value);
			var zhekou=Math.abs(Number(price-(editPrice/10*price)));
			mui("#reduced")[0].value=numToCur(zhekou,draftVM.systemSetting.price_decimals_setting,'price')
		});
		document.getElementById("discount").addEventListener("click", function(event) {
			mui("#discount")[0].value = ""
		});
		document.getElementById("discount").addEventListener("blur", function(event) {
			if(mui("#discount")[0].value == ''){
				mui("#discount")[0].value = discount
			}
		})
	});

	//其他费用监听
	var expenseId = '';
	mui('.popover').on('tap', '.otherExpenses', function () {
		if(buttonClick){
			buttonClick = false;
			mui.ajax(severUrl + "scm/order/getOtherCostList.json", {
				data: {
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					draftVM.expenseList = res.data;
					expenseInfo(draftVM.expenseList)
					setTimeout(function(){
						buttonClick = true;
					},500)
				}
			});
		}
	});
function expenseInfo(list){
	var selectHtml='<option> </option>';
	mui.each(list,function(i,v){
		selectHtml+="<option value='"+v.id+"'>"+ v.other_cost_name+"</option>"
	});
	selectHtml = "<select id='expensesNameClick'>"+selectHtml+"</select>";
	mui.confirm("", "折扣", ["取消","确定"], function (e) {
		if(e.index==1){
			if(mui("#expenseName")[0].value == ''){
				mui.toast('请输入费用名称或选择已有类型！');
				return false;
			}
			mui.each(list,function(i,v){
				if(v.other_cost_name == mui("#expenseName")[0].value){
					expenseId = v.id;
					return false
				}else{
					expenseId = ''
				}
			});
			draftVM.expense = mui("#expense")[0].value;
			draftVM.expenseDegression = mui("#expenseDegression")[0].value;
			draftVM.expenseName = mui("#expenseName")[0].value;
			draftVM.expenseId = expenseId;
			draftVM.editTotalPrice = (draftVM.vipLevel == 1?numToCur(draftVM.totalPrice,draftVM.systemSetting.price_decimals_setting,'price'):numToCur(draftVM.vipPrice,draftVM.systemSetting.price_decimals_setting,'price'));
			draftVM.vipLevel == 1?draftVM.vipCalculation():draftVM.calculation()
		}else{
			// draftVM.expense = 0;
			// draftVM.expenseDegression = 0;
			// draftVM.expense = 0
			// draftVM.expenseName = ''
			// draftVM.calculation()
		}
	},'div');
	$(".mui-popup-title").remove();
	$(".mui-popup-input input").remove();
	var muiPrompt ="<div style='display: flex; align-items: center;'>" +
		"<span style='width: 45px'>名称：</span>" +selectHtml+
		"<input class='my-popup-input' placeholder='请输入费用名称' type='text' id='expenseName' value='"+draftVM.expenseName+"' style='padding-right: 22px!important;' />" +
		"<span id='expenseSelect' class='mui-icon mui-icon-arrowdown' style='position: absolute; right: 15px; color: #555; pointer-events: none'></span>"+
		"</div>" +
		"<div style='display: flex; align-items: center; margin-top: 10px'>"+
		"<span style='width: 45px'>费用：</span>" +
		"<input class='my-popup-input' placeholder='费用金额' type='number' id='expense' value='"+draftVM.expense+"' />" +
		"</div>" +
		"<div style='display: flex; align-items: center; margin-top: 10px'>"+
		"<span style='width: 45px'>成本：</span>" +
		"<input class='my-popup-input' placeholder='成本金额' type='number' id='expenseDegression' value='"+draftVM.expenseDegression+"' />" +
		"</div>";
	$(".mui-popup-text").html(muiPrompt);
	document.getElementById("expenseName").addEventListener("click", function(event) {
		mui("#expenseName")[0].value = ""
	})
	document.getElementById("expenseName").addEventListener("blur", function(event) {
		if(mui("#expenseName")[0].value == ''){
			mui("#expenseName")[0].value = draftVM.expenseName
		}
	});
	document.getElementById("expense").addEventListener("click", function(event) {
		//费用金额监听
		mui("#expense")[0].value = ""
	});
	document.getElementById("expense").addEventListener("blur", function(event) {
		if(mui("#expense")[0].value ==''){
			mui("#expense")[0].value = draftVM.expense
		}
	});
	document.getElementById("expenseDegression").addEventListener("click", function(event) {
		//费用成本监听
		mui("#expenseDegression")[0].value = ""
	});
	document.getElementById("expenseDegression").addEventListener("blur", function(event) {
		if(mui("#expenseDegression")[0].value == ''){
			mui("#expenseDegression")[0].value = draftVM.expenseDegression
		}
	});
	document.getElementById("expensesNameClick").addEventListener("change", function(event) {
		//修改监听
		mui.each(list,function(i,v){
			if(v.id == mui("#expensesNameClick")[0].value){
				expenseId = v.id;
				mui("#expense")[0].value = v.other_cost_price;
				mui("#expenseDegression")[0].value = v.other_cost_purchase;
				mui("#expenseName")[0].value = v.other_cost_name
			}
		})
	})
}
	mui('.popover').on('tap', '.jifen', function () {
		if(draftVM.dixianKT == 1){
			var info='原有'+draftVM.customerIntegral+'分，每'+draftVM.dxIncrease_bonus+'分抵'+draftVM.dxCost_money_unit+'元';
			var btnArray=[ '取消','确定'];
			mui.prompt('',info,'积分抵现',btnArray,function(e) {
				if(e.index==1){
					if(e.value > draftVM.customerIntegral){
						mui.toast('请输入正确的积分') ;
						return;
					}
					draftVM.cgUseIntegral=e.value;
					var truePayEdit = numToCur(Number(e.value/draftVM.dxIncrease_bonus * draftVM.dxCost_money_unit),draftVM.systemSetting.price_decimals_setting,'price');
					if(Number(draftVM.truePay) >0 && Number(draftVM.truePay) >=truePayEdit){
						draftVM.truePay = numToCur(Number(draftVM.truePay) + Number(draftVM.dkNumber) - Number(truePayEdit),draftVM.systemSetting.price_decimals_setting,'price');
						draftVM.dkNumber = numToCur(Number(truePayEdit),draftVM.systemSetting.price_decimals_setting,'price');
						draftVM.vipLevel == 1?draftVM.vipCalculation():draftVM.calculation();
						$(".dkSpan").show()
					}else{
						$(".dkSpan").hide();
						mui.toast('抵扣金额不能大于实际金额')
					}
				}else{

				}
			},'div');
			document.querySelector('.mui-popup-input input').type='number'
		}else{
			if(draftVM.dixianKT == 2){
				mui.toast("默认客户不积分")
			}else{
				mui.toast("请到左上角功能菜单“客户管理”中开启积分功能")
			}
		}
	});

	mui(".productList").on('toggle', '.mui-switch', function (event) {
		var _this = this;
		var li = event.target.parentNode.parentNode.parentNode;
		var product_id = li.dataset.product_id;
		var index = li.dataset.index;
		mui.each(draftVM.selProductList, function (index1, value) {
			if (value.product_id == product_id && value.depot_id == draftVM.selectedDepot && value.list[index]!=undefined) {
				if(value.list[index].product_sn_list && value.list[index].product_sn_list.length > 0){
					var btnArray = ['取消','确定'];
					mui.confirm('', '更改销售状态序临时序列号将被清除！', btnArray, function(e) {
						if(e.index == 1){
							value.list[index].product_sn_list = value.list[index].product_sn_list_old;
							type_edit(value)
						}else{
							_this.classList.toggle('mui-active');
							_this.querySelector('.mui-switch-handle').setAttribute('style', '');
						}
					},'div')
				}else{
					type_edit(value)
				}
				function type_edit(args){
					var old_type = 0,new_type = 1;
					if (event.detail.isActive) {
						old_type = 0;
						new_type = 1;
					} else {
						old_type = 1;
						new_type = 0;
					}
					if(args.list[index].form_order == 1){
						mui.ajax(severUrl + "scm/order/setOrderDraftType.json", {
							data: {
								order_id: args.orderId,
								product_id: product_id,
								color_id: args.list[index].color_id,
								size_id: args.list[index].size_id,
								old_type: old_type,
								new_type: new_type
							},
							headers: {
								'Content-Type': 'application/x-www-form-urlencoded'
							},
							xhrFields: {
								withCredentials: true
							},
							dataType: 'json',
							type: 'post',
							timeout: 8000,
							success: function (res) {
								if (res.success) {
									args.list[index].ordertype = new_type;
									draftVM.calculation();
									mui.toast("修改成功")
								}else{
									args.list[index].ordertype = old_type;
									//动态添加按钮历史样式问题
									$(".mui-switch-mini").removeClass("mui-active")
									$(".listSwitch").css('transform','none');
									mui.toast(res.msg)
								}
							}
						});
					}else{
						if (event.detail.isActive){
							args.list[index].ordertype = 1
						}else{
							args.list[index].ordertype = 0
						}
						// args.list[index].ordertype = new_type;
						draftVM.calculation()
					}
				}
				return false;
			}
		});
	});
	mui(".mui-content").on('tap', '.itemAdd', function () {
		sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
		sessionStorage.setItem("selectedBuyer", draftVM.selectedBuyer);
		sessionStorage.setItem("createDate", draftVM.createDate);
		sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
		sessionStorage.setItem("remark", draftVM.remark);
		sessionStorage.setItem("order_flag", draftVM.order_flag);
		sessionStorage.setItem("moLing", draftVM.moLing);
        sessionStorage.removeItem("selColorList");
        sessionStorage.removeItem("selSizeList");
        sessionStorage.removeItem("selList");
        sessionStorage.removeItem("purchase_price");
        sessionStorage.removeItem("sale_price");
        sessionStorage.removeItem("sale_price_b");
        sessionStorage.removeItem("name");
        sessionStorage.removeItem("model");
        sessionStorage.removeItem("material");
		sessionStorage.removeItem("mainUnitId");
		sessionStorage.removeItem("mainUnitName");
		sessionStorage.removeItem("unitList");
		sessionStorage.removeItem("category_id");
		sessionStorage.removeItem("category_name");
		sessionStorage.removeItem("category_parent_name");
		viewHandle.openWindow( 'itemAdd.html','itemAdd.html');
	})
	mui(".mui-content").on('tap', '.selProductInfo', function () {
		sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
		localStorage.setItem("selectedDepot", draftVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
		//sessionStorage.setItem("selectedBuyer", draftVM.selectedBuyer); ????
		sessionStorage.setItem("selectedBuyer", draftVM.selectedSupplier);
		sessionStorage.setItem("createDate", draftVM.createDate);
		sessionStorage.setItem("remark", draftVM.remark);
		sessionStorage.setItem("order_flag", draftVM.order_flag);
		sessionStorage.setItem("realname", draftVM.realname);
		sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
		localStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
		sessionStorage.setItem("moLing", draftVM.moLing);
		var product_id = this.dataset.product_id;
        sessionStorage.setItem("id", product_id);
		sessionStorage.setItem("productId", product_id);
        localStorage.setItem("productId", product_id);
        localStorage.removeItem("selStatus")
		var product;
		var id=this.dataset.id;
		var model=this.dataset.model;
		var name=this.dataset.name;
		var product_name=this.dataset.product_name;
		var purchase_price=this.dataset.purchase_price;
		var sale_price=this.dataset.sale_price;
		var status=1;
		draftVM.$nextTick(function(){
			var pt={
				id:id,
				model:model,
				name:name,
				product_id:product_id,
				product_name:product_name,
				purchase_price:Number(purchase_price),
				sale_price:Number(sale_price),
				status:status,
			};
			product = pt;
			localStorage.setItem("product", JSON.stringify(product));
			var listSend = {};
			listSend.type = 4
			listSend.defaultCustomer = sessionStorage.getItem("defaultCustomer");
			listSend.selectedBuyer = draftVM.selectedSupplier;
			viewHandle.viewFire('pinGoodsColorSize.html','showInfo',listSend)
			viewHandle.openWindow('pinGoodsColorSize.html','pinGoodsColorSize.html',JSON.stringify(listSend))
		})
	});
	mui(".mui-content").on('tap', '.itemLink', function () {
        if(this.dataset.id == null){
            sessionStorage.removeItem("selColorList");
            sessionStorage.removeItem("selSizeList");
            sessionStorage.removeItem("selList");
            sessionStorage.removeItem("purchase_price");
            sessionStorage.removeItem("sale_price");
			sessionStorage.removeItem("sale_price_b");
            sessionStorage.removeItem("name");
            sessionStorage.removeItem("model");
            sessionStorage.removeItem("material");
			sessionStorage.removeItem("mainUnitId");
			sessionStorage.removeItem("mainUnitName");
			sessionStorage.removeItem("unitList");
			sessionStorage.removeItem("category_id");
			sessionStorage.removeItem("category_name");
			sessionStorage.removeItem("category_parent_name");
            sessionStorage.removeItem("selListId");
            sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
            sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
            sessionStorage.setItem("selectedBuyer", draftVM.selectedBuyer);
            sessionStorage.setItem("createDate", draftVM.createDate);
            sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
            sessionStorage.setItem("remark", draftVM.remark);
            sessionStorage.setItem("order_flag", draftVM.order_flag);
            sessionStorage.setItem("moLing", draftVM.moLing);
			var arg = {};
			arg.model = draftVM.searchMsg;
			viewHandle.viewFire('itemAdd.html','modelAndName',arg);
			viewHandle.openWindow('itemAdd.html','itemAdd.html',JSON.stringify(arg));
			draftVM.searchMsg = '';
			draftVM.searchProduct();
        }else{
            draftVM.searchMsg = "";
            var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
            for (var i =0;i<draftVM.list.length; i++){
                if(draftVM.list[i].id==this.dataset.id){
                    product.product_id=draftVM.list[i].product_id;
                    product.name=draftVM.list[i].name;
                    product.purchase_price=draftVM.list[i].purchase_price;
                    product.model=draftVM.list[i].model;
                    product.id=draftVM.list[i].id;
                    product.product_name=draftVM.list[i].product_name;
                    product.sale_price=draftVM.list[i].sale_price;
                    product.status=1;
                }
            }
            sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
            localStorage.setItem("selectedDepot", draftVM.selectedDepot);
            sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
            sessionStorage.setItem("selectedBuyer", draftVM.selectedSupplier);
            sessionStorage.setItem("createDate", draftVM.createDate);
            sessionStorage.setItem("remark", draftVM.remark);
            sessionStorage.setItem("order_flag", draftVM.order_flag);
            sessionStorage.setItem("realname", draftVM.realname);
            sessionStorage.setItem("product", JSON.stringify(product));
            localStorage.setItem("product", JSON.stringify(product));
            sessionStorage.setItem("moLing", draftVM.moLing);
            sessionStorage.setItem("productId",this.dataset.id);
            localStorage.setItem("productId",this.dataset.id);
            sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
            localStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
			localStorage.removeItem("selStatus");
			var listSend = {};
			listSend.type = 4;
			listSend.defaultCustomer = sessionStorage.getItem("defaultCustomer");
			listSend.selectedBuyer = draftVM.selectedSupplier;
			viewHandle.viewFire('pinGoodsColorSize.html','showInfo',listSend);
			draftVM.searchMsg = '';
			draftVM.searchProduct();
			viewHandle.openWindow('pinGoodsColorSize.html','pinGoodsColorSize.html',JSON.stringify(listSend))
		}
	});
	// tap go productList
    mui(".typeSwitch").on('tap', '.productList', function () {
        sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
        sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
        //sessionStorage.setItem("selectedBuyer", draftVM.selectedBuyer); ???????
        sessionStorage.setItem("selectedBuyer", draftVM.selectedSupplier);
        sessionStorage.setItem("createDate", draftVM.createDate);
        sessionStorage.setItem("remark", draftVM.remark);
        sessionStorage.setItem("order_flag", draftVM.order_flag);
        sessionStorage.setItem("realname", draftVM.realname);
		sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
		var listSend = {
			defaultCustomer:sessionStorage.getItem("defaultCustomer"),
			selectedBuyer:draftVM.selectedSupplier,
			selectedDepot:draftVM.selectedDepot
		};
		viewHandle.viewFire("pinDraftProductList.html",'depot',listSend);
		viewHandle.openWindow("pinDraftProductList.html","pinDraftProductList.html",JSON.stringify(listSend))
    });
	var toggleFlag = true;
	mui(".radius").on('tap', '.toggle-state', function () {
		if (toggleFlag) {
			mui('.mui-icon-arrowup')[0].style.display = "block";
			mui('.selectForm')[0].style.display = "block";
			mui('.mui-icon-arrowdown')[0].style.display = "none";

			toggleFlag = false;
		} else {
			mui('.mui-icon-arrowup')[0].style.display = "none";
			mui('.selectForm')[0].style.display = "none";
			mui('.mui-icon-arrowdown')[0].style.display = "block";

			toggleFlag = true;
		}
	});

	mui(".mui-content").on('tap', '.backBtn', function () {
		mui.openWindow({
			id: 'xiao',
			url: 'xiao.html'
		});
		sessionStorage.removeItem("selProductList");
		localStorage.removeItem("selProductList");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("realname");
		sessionStorage.removeItem("product");
		sessionStorage.removeItem("moLing");
		localStorage.removeItem("AB_price");
		sessionStorage.removeItem("remark");
	});
	//日期选择
	var dtpicker = new mui.DtPicker({
		type: "date",//设置日历初始视图模式  
		labels: ['年', '月', '日']//设置默认标签区域提示语  
	});
	mui('body').on('tap', '.createDate', function () {
		var _self = this;
		dtpicker.show(function (e) {
			draftVM.orderTimeModify = true;
			draftVM.createDate = e.text;
		})
	});
	mui('body').on('tap', '.procurement', function () {
		if(draftVM.vipLevel == 1){
			mui.each(draftVM.selProductList,function(i,v){
			    mui.each(v.list,function(j,k){
			    	if(v.order_in == 'in' && v.order_out == 'out'){
			    		return false
					}
			        if(k.ordertype == 0){
						draftVM.$set(v, 'order_in', 'in')
						// v.order_in = 'in'
					}
					if(k.ordertype == 1){
						draftVM.$set(v, 'order_out', 'out')
						// v.order_out = 'out'
					}
			    })
			})
			console.log('wwwwwww',draftVM.selProductList)
			mui("#mainDom")[0].style.display = 'none';
			mui("#vipDom")[0].style.display = 'block';
		}else{
			kaidanShow()
		}
	});
	mui('body').on('tap', '.addMoling', function () {
		// if (draftVM.moLing < draftVM.totalPrice) {
		draftVM.moLing++;

		if (draftVM.totalPrice > 0) {
			draftVM.truePay--;
		} else {
			draftVM.truePay++;
		}
		// }
	});
	mui('body').on('tap', '.reduceMoling', function () {
		if (draftVM.moLing > 0) {
			if (draftVM.totalPrice > 0) {
				draftVM.truePay++;
			} else {
				draftVM.truePay--;
			}
			draftVM.moLing--;
		}
	});
	mui('body').on('tap', '.cancelPurchase', function () {
		draftVM.moLing = 0;
		draftVM.dkNumber = 0;
		draftVM.editTotalPrice = draftVM.totalPrice;
		draftVM.truePayFirst = true;
		$(".dkSpan").hide();
		mui('#purchase').popover('toggle');
	});
	mui('body').on('tap','.payType',function(){
		mui.confirm("", "付款方式", ["取消","确定"], function (e) {
			if(e.index==1){
				var type = $(".colorOrange").attr("type");
				var id = $(".colorOrange").attr("id");
				draftVM.pay_status = Number(type)
				draftVM.account_id = id;
			}else{

			}
		},'div');
		//样式重写
		$(".mui-popup-in").css('border-radius',0);
		$(".mui-popup-inner").css('border-radius','6px');
		$(".mui-popup-inner").css('overflow','hidden');
		$(".mui-popup-inner").css('padding',0);
		$(".mui-popup-title").remove();
		$(".mui-popup-buttons").css('display','none');
		var muiPrompt = '';
		mui.each(draftVM.accountList,function(i,v){
			switch (v.type) {
				case 1:
					if(v.is_disable == 1) break
					var type = v.type;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-xianjin' style='color: #fe7e7e'>&nbsp;</span><span class='chooseColor colorOrange' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor colorOrange' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 2:
					if(v.is_disable == 1) break;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-zhifubao' style='color: #09aaf0'>&nbsp;</span><span class='chooseColor' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 3:
					if(v.is_disable == 1) break;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-icon1460188541813' style='color: #51c232'>&nbsp;</span><span class='chooseColor' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 4:
					if(v.is_disable == 1) break;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-bank-card' style='color: #f90000'>&nbsp;</span><span class='chooseColor' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor' style='font-size: 36px; display: none'></span></div></div>"
					break;
				default:
					if(v.is_disable == 1) break;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-qitaphone' style='color: #b74c00'>&nbsp;</span><span class='chooseColor' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor' style='font-size: 36px; display: none'></span></div></div>"
					break;
			}
		})
		$(".mui-popup-text").html(muiPrompt);
		setTimeout(function(){
			$('.chooseColor').removeClass("colorOrange");
			$(".chooessType").eq(draftVM.pay_status-1).find(".chooseColor").addClass("colorOrange")
		})
	})
	mui("body").on('tap','.chooessType',function(){
		$('.chooseColor').removeClass("colorOrange")
		$(this).find('.chooseColor').addClass("colorOrange")
		mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0],'tap');
	})

	mui('body').on('tap', '.firstSlider', function () {
		var self = this;
		self.style.color = "#fff";
		self.style.borderColor = "#fff";
		var itl = setTimeout(function () {
			self.style.color = "#000";
			self.style.borderColor = "#B7B7BB";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.mui-active')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(--sliderIndex);
	});
	mui('body').on('tap', '.lastSlider', function () {
		var self = this;
		self.style.color = "#fff";
		self.style.borderColor = "#fff";
		var itl = setTimeout(function () {
			self.style.color = "#000";
			self.style.borderColor = "#B7B7BB";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.mui-active')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(++sliderIndex);
	});
	mui("header").on('tap', '.delDraft', function () {
		mui.confirm("确认删除订单吗", "提示", ["取消","确定"], function (e) {
			if (e.index == 1) {
				var draftId = sessionStorage.getItem("draftId");
				mui.ajax(severUrl + "scm/order/del.json", {
					data: {
						id: draftId
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function (res) {
						mui.toast(res.msg);
						if (res.success) {
							sessionStorage.removeItem("selectedDepot");
							sessionStorage.removeItem("selectedSupplier");
							sessionStorage.removeItem("selectedBuyer");
							sessionStorage.removeItem("createDate");
							sessionStorage.removeItem("remark");
							sessionStorage.removeItem("realname");
							sessionStorage.removeItem("product");
							sessionStorage.removeItem("moLing");
							setTimeout(function () {
								var listSend = {};
								listSend.id = draftId;
								viewHandle.viewFire('H576E5848','pinDraftBack',listSend)
								// viewHandle.back() //222
								viewHandle.back("close")
							}, 1000);
						}
					}
				});
				localStorage.removeItem("selProductList");
			}
		},'div')
	})
	mui('body').on('tap', '.orderPrint', function () {
		if(draftVM.accountBalance != 'default'){
			if(Number(draftVM.accountBalance) <0){
				if(Number(draftVM.editTotalPrice) >0){
					if((Number(draftVM.accountBalance) + Number(draftVM.noPay)) >0){
						mui.confirm("客户余额不足！"+numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')+"元将计入客户欠款。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								draftVM.noPay = numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price');
								dikou_amt = true;
								newOrderPrint()
							}else{

							}
						},'div');
						return false
					}else{
						newOrderPrint()
					}
				}else{
					newOrderPrint()
				}
			}else{
				if(Number(draftVM.editTotalPrice) < 0){
					if((Number(draftVM.accountBalance) + Number(draftVM.noPay)) <0){
						mui.confirm("欠客户款不足抵扣！"+numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')+"元 将充入客户余额。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								draftVM.noPay = numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')
								dikou_amt = true;
								newOrderPrint()
							}else{
							}
						},'div');
					}else{
						newOrderPrint()
					}
				}else{
					newOrderPrint()
				}
			}
		}else{
			newOrderPrint()
		}
	});

	mui('body').on('tap', '.cgCreateOrder', function () {
		console.log(1)
		if(draftVM.accountBalance != 'default'){ //如果有欠款
			if(Number(draftVM.accountBalance) <0){
				if(Number(draftVM.editTotalPrice) >0){
					if((Number(draftVM.accountBalance) + Number(draftVM.noPay)) >0){
						mui.confirm("客户余额不足！"+numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')+"元将计入客户欠款。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								draftVM.noPay = numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')
								dikou_amt = true;
								newCreateOrder()
							}else{

							}
						},'div');
						return false
					}else{
						newCreateOrder()
					}
				}else{
					newCreateOrder()
				}
			}else{
				if(Number(draftVM.editTotalPrice) < 0){
					if((Number(draftVM.accountBalance) + Number(draftVM.noPay)) <0){
						mui.confirm("欠客户款不足抵扣！"+numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')+"元 将充入客户余额。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								draftVM.noPay = numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')
								dikou_amt = true;
								newCreateOrder()
							}else{
							}
						},'div');
					}else{
						newCreateOrder()
					}
				}else{
					newCreateOrder()
				}
			}
		}else{
			newCreateOrder()
		}
	});

	function newCreateOrder(){
        if(!draftVM.selectedSupplier){
            return mui.toast("请选择客户")
        }
		mui('.procurement').button('loading');
		$("button").css('pointer-events','none');
		mui('#purchase').popover('toggle');
		if (draftVM.selProductList.length != 0) {
			debugger
			var money = document.getElementById("money");
			var zfb = document.getElementById("zfb");
			var wx = document.getElementById("wx");
			/*order_flag*/
			if (qizhi1.checked) {
				draftVM.order_flag = 1;
			}
			if (qizhi2.checked) {
				draftVM.order_flag = 2;
			}
			if (qizhi3.checked) {
				draftVM.order_flag = 3;
			}
			if (qizhi4.checked) {
				draftVM.order_flag = 4;
			}
			if (qizhi5.checked) {
				draftVM.order_flag = 5;
			}

			qizhi.style.color = "#666";
			qizhiForm.style.display = "none";

			var productList = [];

			mui.each(draftVM.selProductList, function (index, product) {
				//不区分仓库
				// if (product.depot_id == draftVM.selectedDepot) {
				mui.each(product.list, function (index2, value) {
					var checkType;
					draftVM.vipLevel == 1?checkType = value.next_used:checkType =value.count;
					if(checkType && checkType != 0) {
						var purchasePrice = product.purchase_price;
						productList.push({
							product_id: product.product_id,
							product_model: product.model,
							product_name:product.name,
							// product_sn_list:value.product_sn_list || [],
							product_sn_list:value.product_sn_list_vip || [], //开单
							barcode:value.barcode,
							type: value.ordertype,
							purchase_price: purchasePrice,
							sale_price: Number(product.amt) / (product.unitChooseRatio || 1),
							amt: Number(product.amt) / (product.unitChooseRatio || 1),
							// sale_price: product.amt,
							// amt: product.amt,
							color_id: value.color_id,
							color_name: value.color_name,
							size_id: value.size_id,
							size_name: value.size_name,
							amount: checkType,
							unitChooseId: product.unitChooseId,
							unitChooseName: product.unitChooseName,
							unitChooseRatio: Number(product.unitChooseRatio) || null
						});
					}
				})
				// }
			});
			//总成本金额计算
			var purchase_amt = 0;
			mui.each(productList, function (index, val) {
				purchase_amt += (val.amount * val.purchase_price);
			})

			if (purchase_amt >= 0) {
				purchase_amt = purchase_amt;
			} else {
				purchase_amt = purchase_amt;
				if (purchase_amt > 0) {
					purchase_amt = -purchase_amt;
				}
			}

			var date = new Date(),time = '';
			var creatTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
			if(draftVM.orderTimeModify){
				time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}else{
				time = creatTime + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}
			var draftId = sessionStorage.getItem("draftId");

			if(draftVM.moLing == ''){
				draftVM.moLing =0;
			}
			if(draftVM.noPay == ''){
				draftVM.noPay =0;
			}
			var saveIntegral='';
			if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
				draftVM.customerAddIntegral='';
				saveIntegral = ''
			}else{
				saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
			}

			var productListToSend = productList;
			mui.each(productListToSend, function (index, val) {
				if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
					val.amount = Number(val.amount * val.unitChooseRatio)
				}
			});
			var logistics_number = '';
			if(draftVM.deliveryType !=0){
				logistics_number = draftVM.draft_logistics_number
			}else{
				logistics_number = ''
			}
			var noPay = 0,deduction_amt = 0;
			if(dikou_amt){
				deduction_amt = -Number(draftVM.accountBalance);
				noPay = draftVM.noPay
			}else{
				if(draftVM.accountBalance <0){
					deduction_amt = draftVM.noPay;
				}else{
					if(draftVM.noPay <0){
						deduction_amt = draftVM.noPay
					}else{
						noPay = draftVM.noPay;
					}
				}
			}
			var debt_status = 0;
			if (parseFloat(noPay) == parseFloat(draftVM.editTotalPrice)) {
				debt_status = 0;
			} else if (noPay == 0) {
				debt_status = 2;
			} else {
				debt_status = 1;
			}
			var account_name = ''
			draftVM.accountList.forEach(function(v){
				if(v.id == draftVM.account_id){
					account_name = v.name
				}
			})
			createOrder({
				// id: draftId,
				draft_order_id:draftId,//????
				creater_id: draftVM.orderUserId, //操作用户设置
				remark: draftVM.remark,
				sign_date: time,
				customer_id: draftVM.selectedSupplier,
				customer_name: draftVM.buyerName,
				// customer_id: customerId,
				depot_id: draftVM.selectedDepot,
				rebate_amt: draftVM.moLing,
				order_amt: draftVM.vipLevel == 1?draftVM.vipPrice:draftVM.totalPrice,
				purchase_amt: purchase_amt,
				amount: draftVM.vipLevel == 1?draftVM.vipCount:draftVM.totalAmount,
				logistics_number:logistics_number, //快递单号
				consignee_address:draftVM.consignee_address, //收货地址
				ordertype: 1,
				submit_status: 0,
				productlistlength: productListToSend.length,
				pay_status: draftVM.pay_status,
				account_id:draftVM.account_id,
				account_name:account_name,
				order_flag: draftVM.order_flag,
				productlist: productListToSend,
				debt_status: debt_status,
				debt_amt: noPay,
				org_debt_amt: noPay,
				deduction_amt: deduction_amt,
				delivery_status: draftVM.deliveryStatus,
				delivery_type: draftVM.deliveryType,
				delivery_date: draftVM.deliveryDate,
				changeinteral:saveIntegral,
				discount:draftVM.dkNumber, //抵扣金额
				other_cost_purchase:draftVM.expenseDegression || 0, //费用成本
				other_cost_name:draftVM.expenseName, //费用名称
				other_cost_price:draftVM.expense || 0, //费用
				other_id:draftVM.expenseId //费用id

			}, function () {
				sessionStorage.removeItem("selProductList");
				localStorage.removeItem("selProductList");
				draftVM.expenseName='';
				draftVM.expense=0;
				draftVM.expenseId='';
				// plus.webview.getWebviewById('H576E5848').evalJS("arrearsEdit('"+customerId+"','"+noPay+"','"+dikou_amt+"')");
				draftVM.expenseDegression=0;
				sessionStorage.removeItem("selectedDepot");
				sessionStorage.removeItem("selectedSupplier");
				sessionStorage.removeItem("selectedBuyer");
				sessionStorage.removeItem("createDate");
				sessionStorage.removeItem("remark");
				sessionStorage.removeItem("realname");
				sessionStorage.removeItem("product");
				sessionStorage.removeItem("moLing");
				localStorage.removeItem("AB_price");
				localStorage.setItem("productListPage","refresh");
				localStorage.setItem("pinProductListPage","refresh");
				localStorage.setItem("draftProductListPage","refresh");
				localStorage.setItem("pinDraftProductListPage","refresh");
				localStorage.setItem("cunInventoryListPage","refresh");
				localStorage.setItem("cunAlloctionListPage","refresh");
				draftVM.truePayFirst = true;
				draftVM.truePay = 0;
				dikou_amt = false;
				mui('.procurement').button('reset');
				// $(".cgCreateOrder").css('pointer-events','auto');
				$("button").css('pointer-events','auto');
				var backType = false;
				mui.each(draftVM.selProductList,function(i,v){
				    mui.each(v.list,function(i,v){
						if(v.count != v.used_amount && v.count != v.next_used){
							backType = true;
							return false
						}
				    })
				})
				draftVM.selProductList = [];
				setTimeout(function () {
					var listSend = {};
					listSend.id = draftId;
					listSend.backType = backType;
					viewHandle.viewFire('H576E5848','pinDraftBack',listSend)
					// viewHandle.back() //222
					viewHandle.back("close")
					// sessionStorage.removeItem("remark");
				}, 500);
			})
			mui(".pullReFresh").scroll().scrollTo(0,0,0);
			window.scrollTo(0,0);
		}
	}
	mui('body').on('tap', '.draftSave', function () {
		var customerId = draftVM.selectedSupplier;
		if(!customerId){
			return mui.toast("请选择客户");
		}
		if (draftVM.selProductList.length != 0) {
			var money = document.getElementById("money");
			var zfb = document.getElementById("zfb");
			var wx = document.getElementById("wx");
			/*order_flag*/
			if (qizhi1.checked) {
				draftVM.order_flag = 1;
			}
			if (qizhi2.checked) {
				draftVM.order_flag = 2;
			}
			if (qizhi3.checked) {
				draftVM.order_flag = 3;
			}
			if (qizhi4.checked) {
				draftVM.order_flag = 4;
			}
			if (qizhi5.checked) {
				draftVM.order_flag = 5;
			}

			qizhi.style.color = "#666";
			qizhiForm.style.display = "none";

			var productList = [];

			mui.each(draftVM.selProductList, function (index, product) {
				//不区分仓库
				// if (product.depot_id == draftVM.selectedDepot) {
				mui.each(product.list, function (index2, value) {
					// var checkType;
					// draftVM.vipLevel == 1?checkType = value.next_used:checkType =value.count;
					if(value.count != 0) {
						var purchasePrice = product.purchase_price;
						productList.push({
							product_id: product.product_id,
							product_model: product.model,
							product_name:product.name,
							product_sn_list:value.product_sn_list || [], //订单保存
							barcode:value.barcode,
							type: value.ordertype,
							purchase_price: purchasePrice,
							sale_price: Number(product.amt) / (product.unitChooseRatio || 1),
							amt: Number(product.amt) / (product.unitChooseRatio || 1),
							color_id: value.color_id,
							color_name: value.color_name,
							size_id: value.size_id,
							size_name: value.size_name,
							amount: value.count,
							unitChooseId: product.unitChooseId,
							unitChooseName: product.unitChooseName,
							unitChooseRatio: Number(product.unitChooseRatio) || null
						});
					}
				})
				// }
			});
			//总成本金额计算
			var purchase_amt = 0;
			mui.each(productList, function (index, val) {
				purchase_amt += (val.amount * val.purchase_price);
			})

			if (purchase_amt >= 0) {
				purchase_amt = purchase_amt;
			} else {
				purchase_amt = purchase_amt;
				if (purchase_amt > 0) {
					purchase_amt = -purchase_amt;
				}
			}

			var date = new Date(),time = '';
			var creatTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
			if(draftVM.orderTimeModify){
				time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}else{
				time = draftVM.draftDate
			}
			var draftId = sessionStorage.getItem("draftId");

			if(draftVM.moLing == ''){
				draftVM.moLing =0;
			}
			if(draftVM.noPay == ''){
				draftVM.noPay =0;
			}

			var debt_status = 0;
			// if (draftVM.noPay == draftVM.totalPrice) {
			if (parseFloat(draftVM.noPay) == parseFloat(draftVM.editTotalPrice)) {
				debt_status = 0;
			} else if (draftVM.noPay == 0) {
				debt_status = 2;
			} else {
				debt_status = 1;
			}
			var saveIntegral='';
			if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
				draftVM.customerAddIntegral='';
				saveIntegral = ''
			}else{
				saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
			}

			var productListToSend = productList;
			mui.each(productListToSend, function (index, val) {
				if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
					val.amount = Number(val.amount * val.unitChooseRatio)
				}
			});
			var logistics_number = '';
			if(draftVM.deliveryType !=0){
				logistics_number = draftVM.draft_logistics_number
			}else{
				logistics_number = ''
			}
			var account_name = ''
			draftVM.accountList.forEach(function(v){
				if(v.id == draftVM.account_id){
					account_name = v.name
				}
			})
			createOrder({
				id: draftId,
				// draft_order_id:draftId,//????
                creater_id: draftVM.orderUserId, //操作用户设置
				remark: draftVM.remark,
				sign_date: time,
				customer_id: customerId,
				customer_name: draftVM.buyerName,
				depot_id: draftVM.selectedDepot,
				rebate_amt: draftVM.moLing,
				order_amt: draftVM.vipLevel == 1?draftVM.vipPrice:draftVM.totalPrice,
				purchase_amt: purchase_amt,
				amount: draftVM.vipLevel == 1?draftVM.vipCount:draftVM.totalAmount,
				logistics_number:logistics_number, //快递单号
				consignee_address:draftVM.consignee_address, //收货地址
				ordertype: 1,
				submit_status: 1,
				productlistlength: productListToSend.length,
				pay_status: draftVM.pay_status,
				account_id:draftVM.account_id,
				account_name:account_name,
				order_flag: draftVM.order_flag,
				productlist: productListToSend,
				debt_status: debt_status,
				debt_amt: draftVM.noPay,
				org_debt_amt: draftVM.noPay,
				delivery_status: draftVM.deliveryStatus,
				delivery_type: draftVM.deliveryType,
				delivery_date: draftVM.deliveryDate,
				changeinteral:saveIntegral,
				discount:draftVM.dkNumber, //抵扣金额
			}, function () {
				sessionStorage.removeItem("selProductList");
				localStorage.removeItem("selProductList");
				draftVM.selProductList = [];
				draftVM.expenseName='';
				draftVM.expense=0;
				draftVM.expenseId='';
				draftVM.expenseDegression=0;
				sessionStorage.removeItem("selectedDepot");
				sessionStorage.removeItem("selectedSupplier");
				sessionStorage.removeItem("selectedBuyer");
				sessionStorage.removeItem("createDate");
				sessionStorage.removeItem("remark");
				sessionStorage.removeItem("realname");
				sessionStorage.removeItem("product");
				sessionStorage.removeItem("moLing");
				localStorage.removeItem("AB_price");
				setTimeout(function () {
					// viewHandle.back() //222
					var listSend = {};
					listSend.id = draftId;
					// listSend.backType = backType;
					listSend.formType = 'draft';
					viewHandle.viewFire('H576E5848','pinDraftBack',listSend);
					viewHandle.back("close")
				}, 500);
			})
			mui(".pullReFresh").scroll().scrollTo(0,0,0);
			window.scrollTo(0,0);
		}
	});
}
function createOrder(data, cb) {
	mui.ajax(severUrl + "scm/order/save.json", {
		data: data,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			mui.toast(res.msg);
			if (res.success) {
				if (typeof cb == "function") {
					cb();
				}
				draftVM.pay_status = 1;
			}else{
				mui('.procurement').button('reset');
				$("button").css('pointer-events','auto');
                sessionStorage.removeItem('kdStatus');
			}
		},
		error: function(){
			mui.toast('开单失败');
			mui('.procurement').button('reset');
			$("button").css('pointer-events','auto');
		}
	});
}

function kaidan(){
		sessionStorage.setItem('kdStatus','0');
        var customerId = draftVM.selectedSupplier;
		if(!customerId){
			return mui.toast("请选择客户")
		}
        mui('#purchase').popover('toggle');
        if (draftVM.selProductList.length != 0) {
            var money = document.getElementById("money");
            var zfb = document.getElementById("zfb");
            var wx = document.getElementById("wx");
			/*order_flag*/
            if (qizhi1.checked) {
                draftVM.order_flag = 1;
            }
            if (qizhi2.checked) {
                draftVM.order_flag = 2;
            }
            if (qizhi3.checked) {
                draftVM.order_flag = 3;
            }
            if (qizhi4.checked) {
                draftVM.order_flag = 4;
            }
            if (qizhi5.checked) {
                draftVM.order_flag = 5;
            }

            qizhi.style.color = "#666";
            qizhiForm.style.display = "none";

            var productList = [];

            mui.each(draftVM.selProductList, function (index, product) {
            	//不区分仓库
                // if (product.depot_id == draftVM.selectedDepot) {
                    mui.each(product.list, function (index2, value) {
						var checkType;
						draftVM.vipLevel == 1?checkType = value.next_used:checkType =value.count;
						if(checkType && checkType != 0) {
                            var purchasePrice = product.purchase_price;
                            productList.push({
                                product_id: product.product_id,
                                product_model: product.model,
								product_name:product.name,
								// product_sn_list:value.product_sn_list || [],
								product_sn_list:value.product_sn_list_vip || [], //开单并打印
								barcode:value.barcode,
                                type: value.ordertype,
                                purchase_price: purchasePrice,
                                sale_price: Number(product.amt) / (product.unitChooseRatio || 1),
                                amt: Number(product.amt) / (product.unitChooseRatio || 1),
                                color_id: value.color_id,
                                color_name: value.color_name,
                                size_id: value.size_id,
                                size_name: value.size_name,
								amount: checkType,
								unitChooseId: product.unitChooseId,
								unitChooseName: product.unitChooseName,
								unitChooseRatio: Number(product.unitChooseRatio) || null
                            });
                        }
                    })
              //  }
            });
            //总成本金额计算
            var purchase_amt = 0;
            mui.each(productList, function (index, val) {
                purchase_amt += (val.amount * val.purchase_price);
            })

            if (purchase_amt >= 0) {
                purchase_amt = purchase_amt;
            } else {
                purchase_amt = purchase_amt;
                if (purchase_amt > 0) {
                    purchase_amt = -purchase_amt;
                }
            }

            var date = new Date(),time = '';
			var creatTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
            //var time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			if(draftVM.orderTimeModify){
				time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}else {
				time = creatTime + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}
			var draftId = sessionStorage.getItem("draftId");
			var saveIntegral='';
			if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
				draftVM.customerAddIntegral='';
				saveIntegral = ''
			}else{
				saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
			}
			var productListToSend = productList;
			mui.each(productListToSend, function (index, val) {
				if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
					val.amount = Number(val.amount * val.unitChooseRatio)
				}
			});

            var logistics_number = '';
            if(draftVM.deliveryType !=0){
                logistics_number = draftVM.draft_logistics_number
            }else{
                logistics_number = ''
            }
            var noPay = 0,deduction_amt = 0;
			if(dikou_amt){
				deduction_amt = -Number(draftVM.accountBalance);
				noPay = draftVM.noPay
			}else{
				if(draftVM.accountBalance <0){
					deduction_amt = draftVM.noPay;
				}else{
					if(draftVM.noPay <0){
						deduction_amt = draftVM.noPay
					}else{
						noPay = draftVM.noPay;
					}
				}
			}
			var debt_status = 0;
			if (noPay == draftVM.totalPrice) {
				debt_status = 0;
			} else if (noPay == 0) {
				debt_status = 2;
			} else {
				debt_status = 1;
			}
			var account_name = ''
			draftVM.accountList.forEach(function(v){
				if(v.id == draftVM.account_id){
					account_name = v.name
				}
			})
			var data = {
				// id: draftId,
				draft_order_id:draftId,//????
				creater_id: draftVM.orderUserId, //操作用户设置
				remark: draftVM.remark,
				sign_date: time,
				customer_id: customerId,
				customer_name:draftVM.buyerName,
				depot_id: draftVM.selectedDepot,
				rebate_amt: draftVM.moLing,
				order_amt: draftVM.vipLevel == 1?draftVM.vipPrice:draftVM.totalPrice,
				purchase_amt: purchase_amt,
				amount: draftVM.vipLevel == 1?draftVM.vipCount:draftVM.totalAmount,
				ordertype: 1,
				submit_status: 0,
				logistics_number:logistics_number, //快递单号
				consignee_address:draftVM.consignee_address, //快递单号
				productlistlength: productListToSend.length,
				pay_status: draftVM.pay_status,
				account_id:draftVM.account_id,
				account_name:draftVM.account_name,
				order_flag: draftVM.order_flag,
				productlist: productListToSend,
				debt_status: debt_status,
				debt_amt: noPay,
				org_debt_amt: noPay,
				deduction_amt: deduction_amt,
				delivery_status: draftVM.deliveryStatus,
				delivery_type: draftVM.deliveryType,
				delivery_date: draftVM.deliveryDate,
				changeinteral:saveIntegral,
				discount:draftVM.dkNumber, //抵扣金额
				other_cost_purchase:draftVM.expenseDegression || 0, //费用成本
				other_cost_name:draftVM.expenseName, //费用名称
				other_cost_price:draftVM.expense || 0, //费用
				other_id:draftVM.expenseId, //费用id
			}
            createOrder(data, function () {
				mui.ajax(severUrl + "sso/company/qry.json", {
					data: {
						id: ""
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function (res) {
						if (res.data.status == 1) {
							mui.each(draftVM.allUserList,function(i,v){
								if(data.creater_id == v.id){
									return data.real_name=v.realname //销售员
								}
							})
							mui.each(draftVM.accountList,function(i,v){
								if(draftVM.pay_status == v.type){
									return data.account_name = v.name
								}
							})
							//打印新增参数
                            data.realname = draftVM.realname;
							if(dikou_amt){
								data.truePay = draftVM.truePay - (data.deduction_amt || 0);
                            }else{
								data.truePay = draftVM.truePay;
							}
							draftVM.getIntegral();
							var saveIntegral='';
							if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
								draftVM.customerAddIntegral='';
								saveIntegral = ''
							}else{
								saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
							}
							//销售草稿开单数据添加
							data.head_name = draftVM.head_name; //登陆者
							data.depot_name = draftVM.depotName;
							data.customer_name = draftVM.buyerName;
							data.company_name = localStorage.getItem("companyName");
							data.telePhone = draftVM.telePhone;
							data.color_show = draftVM.color_show; //全行业参数
							data.size_show = draftVM.size_show; //全行业参数
							data.unit_show = draftVM.unit_show; //全行业参数
							data.origin_specification = draftVM.origin_specification; //全行业参数
							data.change_interal = saveIntegral!=""?saveIntegral:0;//本单积分
							data.integral = Number(draftVM.customerIntegral + saveIntegral); //总积分
							data.print_address = draftVM.consignee_address
							if(draftVM.accountBalance != 'default'){
								data.totalDebtAmt = numToCur(draftVM.accountBalance + Number(data.debt_amt) + Number(data.deduction_amt),draftVM.systemSetting.price_decimals_setting,'price')
							}
							sessionStorage.removeItem("selProductList");
							draftVM.selProductList = [];
							if(mui.os.ios==true) {
								receiptPrint_i(JSON.stringify(data),draftVM.purchaseManager);
							}else if (mui.os.android == true) {
								printBill(JSON.stringify(data),draftVM.purchaseManager);
							}
							printBack()
						} else {
							$comm.showLimitPrint({rootPath:'./'})
							mui('.procurement').button('reset');
							$("button").css('pointer-events','auto');
							printBack()
						}
					}
				});
				function printBack(){
					setTimeout(function(){
						sessionStorage.removeItem("selProductList");
						localStorage.removeItem("selProductList");
						sessionStorage.removeItem("selectedDepot");
						sessionStorage.removeItem("selectedSupplier");
						sessionStorage.removeItem("selectedBuyer");
						sessionStorage.removeItem("createDate");
						sessionStorage.removeItem("remark");
						sessionStorage.removeItem("realname");
						sessionStorage.removeItem("product");
						sessionStorage.removeItem("moLing");
						localStorage.removeItem("AB_price");
						localStorage.setItem("productListPage","refresh");
						localStorage.setItem("pinProductListPage","refresh");
						localStorage.setItem("draftProductListPage","refresh");
						localStorage.setItem("pinDraftProductListPage","refresh");
						localStorage.setItem("cunInventoryListPage","refresh");
						localStorage.setItem("cunAlloctionListPage","refresh");
						draftVM.truePayFirst = true;
						//draftVM.truePay = 0;
						dikou_amt = false;
						var backType = false;
						mui.each(draftVM.selProductList,function(i,v){
							mui.each(v.list,function(i,v){
								if(v.count != v.used_amount && v.count != v.next_used){
									backType = true;
									return false
								}
							})
						})
						mui('.procurement').button('loading');
						// $(".orderPrint").css('pointer-events','auto');
						$("button").css('pointer-events','auto');
						setTimeout(function () {
							sessionStorage.removeItem("remark");
							var listSend = {};
							listSend.id = draftId;
							listSend.backType = backType;
							viewHandle.viewFire('H576E5848','pinDraftBack',listSend);
							viewHandle.back("close");
						}, 1000);
						mui(".pullReFresh").scroll().scrollTo(0,0,0);
						window.scrollTo(0,0);
					},500)
				}
            });
        }
}

mui('#mainDom').on('tap', '#pinHistoryOrder', function () {
	if ($("#printDiv").is(':visible')) {
		$("#printDiv").hide();
	} else {
		$("#printDiv").show();
	}
	document.getElementById("pinHistoryOrder").src="img/dayin2.png";
	setTimeout(function(){
		document.getElementById("pinHistoryOrder").src="img/dayin.png";
	},300);
	
	mui.ajax(severUrl + "sso/company/qry.json", {
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			draftVM.print_status = res.data.status;
		}
	});
})

mui('#printDiv').on('tap', '#printBill', function() {
	if (draftVM.print_status == 1) {
		$("#printDiv").hide();
		mui.ajax(severUrl + "crm/customer/qryOp.json", {
				data: {
					id:draftVM.selectedSupplier
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					var customerIntegral=Number(res.data.customer.integral);
					var productList = [],data = [];
					mui.each(draftVM.selProductList, function (index, product) {
						//不区分仓库
						// if (product.depot_id == draftVM.selectedDepot) {
						mui.each(product.list, function (index2, value) {
							var checkType;
							// draftVM.vipLevel == 1?checkType = value.next_used:checkType =value.count;
							checkType = value.count;
							if(checkType && checkType != 0) {
								productList.push({
									product_id: product.product_id,
									product_model: product.model,
									product_name:product.name,
									product_sn_list:value.product_sn_list || [],
									barcode:value.barcode,
									type: value.ordertype,
									purchase_price: product.purchase_price,
									sale_price: Number(product.amt) / (product.unitChooseRatio || 1),
									amt: Number(product.amt) / (product.unitChooseRatio || 1),
									color_id: value.color_id,
									color_name: value.color_name,
									size_id: value.size_id,
									size_name: value.size_name,
									amount: checkType,
									unitChooseId: product.unitChooseId,
									unitChooseName: product.unitChooseName,
									unitChooseRatio: Number(product.unitChooseRatio) || null
								});
							}
						})
					});
					//总成本金额计算
					var purchase_amt = 0;
					mui.each(productList, function (index, val) {
						purchase_amt += (val.amount * val.purchase_price);
					})
					
					if (purchase_amt >= 0) {
						purchase_amt = purchase_amt;
					} else {
						purchase_amt = purchase_amt;
						if (purchase_amt > 0) {
							purchase_amt = -purchase_amt;
						}
					}
					var date = new Date(),time = '';
					var creatTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
					//var time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
					if(draftVM.orderTimeModify){
						time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
					}else {
						if(draftVM.draftDate){
							time=draftVM.draftDate
						}else{
							time = creatTime + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
						}
					}
					var draftId = sessionStorage.getItem("draftId");
					var saveIntegral='';
					if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
						draftVM.customerAddIntegral='';
						saveIntegral = ''
					}else{
						saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
					}
					var productListToSend = productList;
					mui.each(productListToSend, function (index, val) {
						if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
							val.amount = Number(val.amount * val.unitChooseRatio)
						}
					});
					
					var logistics_number = '';
					if(draftVM.deliveryType !=0){
						logistics_number = draftVM.draft_logistics_number
					}else{
						logistics_number = ''
					}
					var debt_status = 0;
					if (draftVM.noPay == draftVM.totalPrice) {
						debt_status = 0;
					} else if (draftVM.noPay == 0) {
						debt_status = 2;
					} else {
						debt_status = 1;
					}
					var account_name = ''
					draftVM.accountList.forEach(function(v){
						if(v.id == draftVM.account_id){
							account_name = v.name
						}
					})
					data = {
						draft_order_id:draftId,
						creater_id: draftVM.orderUserId || '',
						remark: draftVM.remark,
						sign_date: time,
						customer_id: draftVM.selectedSupplier || '',
						depot_id: draftVM.selectedDepot || '',
						rebate_amt: draftVM.moLing,
						order_amt: draftVM.totalPrice,
						purchase_amt: purchase_amt,
						amount: draftVM.totalAmount,
						ordertype: 1,
						submit_status: 0,
						logistics_number:logistics_number, //快递单号
						consignee_address:draftVM.consignee_address, //快递单号
						productlistlength: productListToSend.length,
						pay_status: draftVM.pay_status,
						// account_id:draftVM.account_id,
						// account_name:draftVM.account_name,
						account_id:'',
						account_name:'',
						order_flag: draftVM.order_flag,
						productlist: productListToSend,
						debt_status: debt_status,
						debt_amt: 0,
						org_debt_amt: 0,
						deduction_amt: 0,
						delivery_status: draftVM.deliveryStatus,
						delivery_type: draftVM.deliveryType,
						delivery_date: draftVM.deliveryDate,
						changeinteral:0,
						// discount:draftVM.dkNumber || 0, //抵扣金额
						// other_cost_purchase:draftVM.expenseDegression || 0, //费用成本
						// other_cost_name:draftVM.expenseName, //费用名称
						// other_cost_price:draftVM.expense || 0, //费用
						// other_id:draftVM.expenseId, //费用id
						discount:0, //抵扣金额
						other_cost_purchase:0, //费用成本
						other_cost_name:'', //费用名称
						other_cost_price:0, //费用
						other_id:'', //费用id
					}
					mui.each(draftVM.allUserList,function(i,v){
						if(data.creater_id == v.id){
							return data.real_name=v.realname //销售员
						}
					})
					//打印新增参数
					data.realname = draftVM.realname;
					// data.truePay = draftVM.truePay;
					data.truePay = 0;
					draftVM.customerAddIntegral = 0;
					//销售草稿开单数据添加
					data.head_name = draftVM.head_name; //登陆者
					data.depot_name = draftVM.depotName;
					data.customer_name = draftVM.buyerName;
					data.company_name = localStorage.getItem("companyName");
					data.telePhone = draftVM.telePhone;
					data.color_show = draftVM.color_show; //全行业参数
					data.size_show = draftVM.size_show; //全行业参数
					data.unit_show = draftVM.unit_show; //全行业参数
					data.origin_specification = draftVM.origin_specification; //全行业参数
					data.change_interal = 0;//本单积分
					data.integral = Number(customerIntegral); //总积分
					data.print_address = draftVM.consignee_address
					if(draftVM.accountBalance != 'default'){
						data.totalDebtAmt = numToCur(draftVM.accountBalance,draftVM.systemSetting.price_decimals_setting,'price')
					}
					if(mui.os.ios==true) {
						receiptPrint_i(JSON.stringify(data),draftVM.purchaseManager);
					}else if (mui.os.android == true) {
						printBill(JSON.stringify(data),draftVM.purchaseManager);
					}
				}
		})			
	} else {
		$("#printDiv").hide();
		$comm.showLimitPrint({rootPath:'./'})

	}
});


mui('#printDiv').on('tap', '#printBarcode', function() {
	$("#printDiv").hide();
	console.log(draftVM.selProductList)
	if (draftVM.print_status == 1) {
		var draftId=sessionStorage.getItem("draftId")
		if (draftVM.vipLevel == 1 && draftVM.systemSetting.sn_setting == 1) {
			var list=[]
			draftVM.selProductList.forEach(function(pro){
				pro.list.forEach(function(item){
					list.push({
						id:draftId,
						color_id: item.color_id,
						color_name: item.color_name,
						material:pro.material,
						product_model: pro.model,
						product_name: pro.name,
						product_id:pro.product_id,
						product_sn_list:item.product_sn_list,
						sale_price_a:pro.sale_price_a,
						sale_price_b:pro.sale_price_b,
						size_id:item.size_id,
						size_name:item.size_name,
						type:item.ordertype
					})
				})
			})
			var listSend = {
				model: list[0].product_model,
				name: list[0].product_name,
				print_list: list,
				parentPage: 'item_print'
			};
			viewHandle.openWindow("sns_print.html", "sns_print.html", JSON.stringify(listSend))
		} else {
			viewHandle.waiting("数据查询中请稍后...")
			mui.ajax(severUrl + "scm/order/qryOpWithBarcode.json", {
				data: {
					id: draftId
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					var list = res.data.productlist;
					var checkedList = [],
						qry_id = [],
						qry_index = 0,
						qry_list = [];
					mui.each(list, function(i, v) {
						if (!qry_id.includes(v.product_id)) {
							qry_id.push(v.product_id)
						}
					})
					if (qry_id.length > 0) {
						if (qry_id.length > 10) {
							viewHandle.close();
							viewHandle.waiting("数据较多请等待...")
						}
						grt_productotherattr()
					}
			
					function grt_productotherattr() {
						mui.ajax(severUrl + "scm/productotherattr/qryOp.json", {
							data: {
								product_id: qry_id[qry_index]
							},
							headers: {
								'Content-Type': 'application/x-www-form-urlencoded'
							},
							xhrFields: {
								withCredentials: true
							},
							dataType: 'json', //服务器返回json格式数据
							type: 'post', //HTTP请求类型
							timeout: 10000, //超时时间设置为10秒；
							success: function(res) {
								if (qry_index < qry_id.length) {
									qry_list.push({
										product_id: qry_id[qry_index],
										otherAttrList: res.data
									})
									if (qry_index == qry_id.length - 1) {
										viewHandle.close();
										mui.each(list, function(i, v) {
											mui.each(qry_list, function(k, n) {
												if (v.product_id == n.product_id) {
													checkedList.push({
														"barcode": list[i].barcode,
														"color": list[i].color_name,
														"color_id": list[i].color_id,
														"index": i + "",
														"product_id": n.product_id,
														"model": list[i].product_model,
														"name": list[i].product_name,
														"num": Number(list[i].amount).toFixed(0),
														"size": list[i].size_name,
														"size_id": list[i].size_id,
														"material": list[i].material,
														"otherAttrList": n.otherAttrList,
														"sale_price": list[i].sale_price_a,
														"sale_price_a": list[i].sale_price_a,
														"sale_price_b": list[i].sale_price_b,
														'keyList': keyList
													});
													return false
												}
											})
										})
										var k = 0;
										var msg = "";
										for (var j = 0; j < checkedList.length; j++) {
											if (checkedList[j].barcode == "") {
												msg += "货号:" + checkedList[j].model + "  颜色:" + checkedList[j].color + "  尺码:" + checkedList[j].size +
													"\n";
												k++;
											}
											if (k > 17) {
												msg += "......\n"
												break;
											}
										}
										msg += "请前往商品信息页面设置\n";
										sessionStorage.setItem("checkedList", JSON.stringify(checkedList));
										if (k != 0) {
											mui.alert(msg, '还有商品未设置条码', function() {}, 'div');
											$("#printDiv").hide();
										} else {
											var listSend = {};
											listSend.checkedList = checkedList;
											viewHandle.openWindow('printCode.html', 'printCode.html', JSON.stringify(listSend));
										}
									} else {
										qry_index++;
										grt_productotherattr()
									}
								}
							}
						});
					}
				}
			});
		}
	} else {
		$("#printDiv").hide();
		$comm.showLimitPrint({rootPath:'./'})
	}
});


mui('.mui-bar').on('tap', '.back-cg', function () {
	localStorage.removeItem("AB_price");
	localStorage.removeItem("selProductList");
	viewHandle.back("close")
});
//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}
function getAccountList(){
	mui.ajax(severUrl + "fa/account/list.json", {
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				draftVM.accountList = res.data;
				var type = draftVM.pay_status || draftVM.accountList[0].type;
				mui.each(draftVM.accountList,function(i,v){
				    if(v.type == type){
						draftVM.pay_status = type;
						draftVM.account_id = v.id;
						return false
					}
				})
				draftVM.accountList.sort(ascCompare("type"));
			}
		}
	});
}

function qryCustomerById(){
	mui.ajax(severUrl + "crm/customer/qryOp.json", {
		data: {
			id:draftVM.selectedSupplier
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			draftVM.customerIntegral=Number(res.data.customer.integral);
			jifenkaitong();
			dixiankaitong();
		}
	});
}
function jifenkaitong(){
	mui.ajax(severUrl + "crm/integraladdrule/qryOp.json", {
		data : {

		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){
				if(res.data.status ==1){
					$(".selChangePopDiv").eq(0).css('height','304px');
					draftVM.jifenKT = 1;
					draftVM.increase_bonus=res.data.increase_bonus;
					draftVM.cost_money_unit=res.data.cost_money_unit;
					// draftVM.jifenRule = Number(res.data.increase_bonus/res.data.cost_money_unit).toFixed(2);
					draftVM.getIntegral();
					if(draftVM.vipLevel == 1){
						draftVM.vipCalculation();
					}else{
						draftVM.calculation();
					}
				}else{
					$(".selChangePopDiv").eq(0).css('height','270px');
					draftVM.jifenKT=0
				}
			}else{
				$(".selChangePopDiv").eq(0).css('height','270px');
				draftVM.jifenKT=0
			}
		}
	});
}
function dixiankaitong(){
	mui.ajax(severUrl + "crm/integralreducerule/qryOp.json", {
		data : {

		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){
				if(res.data.status == 1){
					draftVM.dixianKT =1;
					draftVM.dxCost_money_unit = res.data.reduce_money;
					draftVM.dxIncrease_bonus = res.data.cost_bonus_unit;
				}else{
					draftVM.dixianKT =0
				}
			}else{
				draftVM.dixianKT =0
			}
		}
	});
}
mui('.combined').on('tap','.boundOrder',function(){
	viewHandle.waiting("查询中...");
	mui.ajax(severUrl + "scm/order/qryOrderRelation.json", {
		data: {
			id: sessionStorage.draftId
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			viewHandle.close();
			if (res.status == 200) {
				if(res.data.dependentorder.length ==0){
					mui.toast("没有与之关联的销售单")
				}else{
					var listSend = {};
					listSend.orderType = 'in';
					listSend.searchHistoryList = res.data.dependentorder;
					viewHandle.openWindow('outboundOrder.html','outboundOrder.html',JSON.stringify(listSend));
				}
			}
		},
		error: function (XMLHttpRequest, textStatus, errorThrown) {
			viewHandle.close();
		}
	});
})
function vipOrderCheck(){
	var check = 0; // 0无法开单，1:可以开单但是没选择，2:正常
	mui.each(draftVM.selProductList,function(i,v){
		if(check == 2){
			return false
		}
	    mui.each(v.list,function(n,m){
	        if(numToCur(m.count - m.used_amount)>0){
				check = 1;
				if(m.next_used && m.next_used > 0){
					check = 2;
					return false
				}
			}
	    })
	})
	return check
}
function kaidanShow(){
	if (draftVM.selProductList.length == 0) {
		mui.toast('请选择商品');
		return;
	}
	getAccountList();
	//查询客户积分详情
	if(sessionStorage.getItem('defaultCustomer') != draftVM.selectedSupplier){
		draftVM.dkNumber=0;
		qryCustomerById();
	}else{
		draftVM.jifenKT = 0;
		draftVM.dixianKT = 2;
		$(".selChangePopDiv").eq(0).css('height','270px')
	}
	mui('#purchase').popover('toggle');
}
mui('#vipDom').on('tap','.vipBack',function(){
	mui("#mainDom")[0].style.display = 'block';
	mui("#vipDom")[0].style.display = 'none';
})
mui('#vipDom').on('tap','.vipOrderSave',function(){
	//0 1 2 
	var checkType = vipOrderCheck();
	console.log(checkType)
	if(checkType == 0){
		mui.toast("该订单已全部出库");
		return false
	}
	if(checkType == 1){
		mui.toast("请选择需要出库的商品");
		return false
	}
	mui("#mainDom")[0].style.display = 'block';
	mui("#vipDom")[0].style.display = 'none';
	draftVM.vipCalculation();
	kaidanShow()
})
function getById(id){
	mui.ajax(severUrl + "crm/customer/qryOpSimple.json", {
		data: {
			id:id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if(res.success){
				var customer = res.data.customer;
				draftVM.selectedSupplier = id;
				draftVM.buyerName = customer.name;
				draftVM.telePhone = customer.telephone;
				customer.checked != 1?draftVM.accountBalance = numToCur(customer.arrears,draftVM.systemSetting.price_decimals_setting,'price'):draftVM.accountBalance = 'default';
				if(draftVM.consignee_address !=''){
					return false
				}
				if(customer.checked != 1){
					if(draftVM.deliveryType !=3){
						draftVM.consignee_address = customer.name;
						if(customer.telephone){
							draftVM.consignee_address +=','+customer.telephone
						}
						if(customer.address){
							draftVM.consignee_address +=','+customer.address
						}
					}else{
						draftVM.consignee_address = customer.address
					}
				}else{
					draftVM.consignee_address = '';
				}
			}else{
				draftVM.selectedSupplier = '';
			}
		}
	});
}
/*点击搜索用户*/
mui("#userPopover").on('tap', '.itemUser', function () {
	mui('.buyerName')[0].blur();
	var name=this.dataset.name;
	var debtAmt=this.dataset.debtamt;
	if(this.dataset.id != draftVM.selectedSupplier){
		if($(".selProductMenu li").length >0 && draftVM.systemSetting.lastAmt_setting == 1){
			var btn = ["取消","确定"];
			mui.confirm('客户发生改变，是否修改商品价格', '提示',btn, function (e) {
				if (e.index == 1) {
					var user = '',type = 1;
					if(draftVM.selectedSupplier != sessionStorage.getItem('defaultCustomer')){
						user = draftVM.selectedSupplier;
						type = 0
					}
					var AB_price=JSON.parse(localStorage.getItem("AB_price")) || [];
					viewHandle.waiting("价格切换中请稍后......");
					var product_ids = [];
					mui.each(draftVM.selProductList,function(i,v){
						product_ids.push("'"+v.product_id+"'")
					});
					if(product_ids.length >0){
						mui.ajax(severUrl + "scm/product/qryOpByIds.json", {
							data: {
								"product_ids": product_ids.toString(),
								"customer_id": user,
								"is_default": type,
								"depot_id": draftVM.selectedDepot
							},
							headers: {
								'Content-Type': 'application/x-www-form-urlencoded'
							},
							xhrFields: {
								withCredentials: true
							},
							dataType: 'json',
							type: 'post',
							timeout: 20000,
							success: function (res) {
								if(res.success){
									mui.each(draftVM.selProductList,function(i,v){
										mui.each(res.data,function(j,k){
											if(v.product_id == k.id){
												var price = k.last_amt?k.last_amt:k.sale_price
												v.amt = numToCur(price * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
												v.sale_price = numToCur(price * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
												mui.each(AB_price,function(index,value){
													if(value.product_id == k.id && value.depot_id == draftVM.selectedDepot){
														value.AB_price=numToCur(price * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
														return false;
													}
												});
												return false;
											}
										})
									})
									draftVM.calculation();
									viewHandle.close()
									localStorage.setItem("AB_price",JSON.stringify(AB_price));
									localStorage.setItem('selProductList',JSON.stringify(draftVM.selProductList));
								}
							}
						});
					}
				}else{

				}
			},'div')
		}
	}
	draftVM.selectedSupplier = this.dataset.id;
	mui.each(draftVM.userList,function(i,v){
		if(v.id == draftVM.selectedSupplier){
			draftVM.buyerName = v.name;
			draftVM.telePhone = v.telephone;
			if(v.checked != 1){
				if(draftVM.deliveryType !=0){
					if(draftVM.deliveryType !=3){
						draftVM.consignee_address = v.name;
						if(v.telephone){
							draftVM.consignee_address +=','+v.telephone
						}
						if(v.address){
							draftVM.consignee_address +=','+v.address
						}
					}else{
						draftVM.consignee_address = v.address
					}
				}else{
					draftVM.consignee_address = ''
				}
				draftVM.accountBalance = numToCur(v.arrears,draftVM.systemSetting.price_decimals_setting,'price');
			}else{
				draftVM.consignee_address = '';
				draftVM.accountBalance = 'default'
			}
			return false;
		}
	});
	draftVM.userList=[];
	mui("#userPopover").popover("hide");
	$("#hideUserPopover").css('display','none');
});