function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURIComponent(r[2]); return null;
}
var hasLast = false;
window.addEventListener("showInfo",function(e){
	goodsMenuVM.type = e.detail.type;
	if(e.detail.selectDepot){
		sessionStorage.setItem("selectedDepot",e.detail.selectDepot);
		sessionStorage.setItem("productId",e.detail.product_id);
		goodsMenuVM.selectedDepot = e.detail.selectDepot
	}
	sessionStorage.setItem("defaultCustomer",e.detail.defaultCustomer);
	sessionStorage.setItem("selectedBuyer",e.detail.selectedBuyer);
	loadPRoductDtsInfo();
	getGoodsMenu();
	kufang();
	goodsMenuVM.flogAmt=false
	console.error(goodsMenuVM.flogAmt)
});
mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(arg);
		goodsMenuVM.type = arg.type;
		sessionStorage.setItem("defaultCustomer",arg.defaultCustomer);
		sessionStorage.setItem("selectedBuyer",arg.selectedBuyer);
		if(arg.selectDepot){
			sessionStorage.setItem("selectedDepot",arg.selectDepot);
			sessionStorage.setItem("productId",arg.product_id);
			goodsMenuVM.selectedDepot = arg.selectDepot
		}
		goodsMenuVM.flogAmt=false
		console.error(goodsMenuVM.flogAmt)
		loadPRoductDtsInfo();
		getGoodsMenu();
		kufang();
	}
});
window.addEventListener("editRefresh",function(){ //修改更新
	goodsMenuVM.flogAmt=false
	console.error(goodsMenuVM.flogAmt)
	loadPRoductDtsInfo();
	getGoodsMenu();
	kufang()
});
var goodsMenuVM = new Vue({
	el: '#goodsMenuVM',
	data: {
		systemSetting:{},
		colorList: [],
		sizeList: [],
		selTabId: '',
		product: { model: '', purchase_price: '', realname: '' },
		sale_price: 0.00,
		sale_price_show: 0.00,
		sale_price2: '***',
		totalPrice: "",
		totalAmount: "",
		selectedDepot: "",
		titleSwitch: true,
		stock: '',
		isOpen: false,
		goodInfo: '',
		buyerName: '',
		recentAmt: [],
		total: 0,
        sale_price_A:'',
        sale_price_B:'',
		last_sale:0, //上次销售价
		customer_category_price:0, //客户分类价
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1 ,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		unitChooseList:[],
		unitChoose:'',
		unitChooseName:'',
		unitMinName:'',
		temporary:'',
		type:0,
		saleChoose:"",//客户分类价
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		convert: 1,//库存换算规则
        customize: false,//手动选择 自定义
		//--------------------
		flogAmt:false
	},
	watch: {
		unitChoose: {
			handler: function () {
				if(hasLast){
					goodsMenuVM.sale_price_show = numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					goodsMenuVM.sale_price = numToCur(goodsMenuVM.sale_price_show,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					mui.each(goodsMenuVM.unitChooseList,function(i,v){
						if(v.id == goodsMenuVM.unitChoose) {
							goodsMenuVM.unitChooseName = v.name;
						}
					})
					hasLast = false;
					goodsMenuVM.findColor(numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price'));
					return false
				}
				goodsMenuVM.unitChooseName = '';
				mui.each(goodsMenuVM.unitChooseList,function(i,v){
					if(v.id == goodsMenuVM.unitChoose){
						goodsMenuVM.unitChooseName = v.name;
						goodsMenuVM.convert = v.ratio || 1
                        if(goodsMenuVM.customize){
                        	if(goodsMenuVM.product != '' && goodsMenuVM.product.list !=undefined && goodsMenuVM.product.list.length>0){
								mui.each(goodsMenuVM.product.list,function(i,v){
									var	this_amount = numToCur(v.amount / (goodsMenuVM.convert || 1),goodsMenuVM.systemSetting.amount_decimals_setting)
									if(this_amount < v.count && v.count > 0){
										var btn = ["取消","确定"];
										mui.confirm('销售数量超过库存，是否继续', '提示', btn, function (e) {
											if (e.index == 0) {
												mui.each(goodsMenuVM.product.list,function(i,v){
													var	this_amount = numToCur(v.amount / (goodsMenuVM.convert || 1),goodsMenuVM.systemSetting.amount_decimals_setting)
													if(this_amount < v.count){
														v.count = 0
													}
												})
											}
										},'div');
										return false
									}
								})
							}
                            goodsMenuVM.customize = false
                        }
						var hasOld = false,oldPrice = 0;
						var AB_price=JSON.parse(localStorage.getItem("AB_price")) || [];
						mui.each(AB_price,function(i,v){
							if(v.unitChooseId == goodsMenuVM.unitChoose && v.product_id == goodsMenuVM.product.product_id){
                                hasOld = true;
                                oldPrice = Number(v.AB_price);
								return false
							}
						})
                        if(hasOld){
                            goodsMenuVM.sale_price_show = numToCur(oldPrice,goodsMenuVM.systemSetting.price_decimals_setting,'price');
                            goodsMenuVM.sale_price = numToCur(oldPrice,goodsMenuVM.systemSetting.price_decimals_setting,'price')
                        }else{
							if(goodsMenuVM.systemSetting.lastAmt_setting==1&&$comm.isFalseNotZero(goodsMenuVM.last_sale)){
								goodsMenuVM.sale_price_show = numToCur(Number(goodsMenuVM.last_sale * v.ratio),goodsMenuVM.systemSetting.price_decimals_setting,'price');
							}else if(goodsMenuVM.systemSetting.customer_category_price==1&&$comm.isFalseNotZero(goodsMenuVM.customer_category_price)){
								goodsMenuVM.sale_price_show = numToCur(Number(goodsMenuVM.customer_category_price * v.ratio),goodsMenuVM.systemSetting.price_decimals_setting,'price');
							}else{
								 goodsMenuVM.sale_price_show = numToCur(Number(goodsMenuVM.sale_price_A * v.ratio),goodsMenuVM.systemSetting.price_decimals_setting,'price');
							}
							goodsMenuVM.sale_price = numToCur(goodsMenuVM.sale_price_show,goodsMenuVM.systemSetting.price_decimals_setting,'price')
						}
					}
				});
				console.log("goodsMenuVM.sale_price",goodsMenuVM.sale_price);
				goodsMenuVM.findColor(numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price'));
				this.calculation();
				console.log($('#test').width());
			},
            deep:true
		},
		sale_price: {
			handler: function (newVal) {
				if (parseFloat(newVal) < 0) {
					mui.alert("价格不能小于0");
					this.purchase_price = this.product.purchase_price;
				}
				this.calculation();
				var ro = 1
				mui.each(goodsMenuVM.unitChooseList,function(i,v){
					if(v.id == goodsMenuVM.unitChoose){
						ro = v.ratio;
						return false
					}
				});
				// findColor(numToCur(goodsMenuVM.sale_price),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				goodsMenuVM.findColor(numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price'))
				
				if(goodsMenuVM.unit_show ==1){
					mui.each(goodsMenuVM.unitChooseList,function(i,v){
						if(v.id == goodsMenuVM.unitChoose){
							// var sale_price_show= Number(goodsMenuVM.sale_price * v.ratio);
							var sale_price_show = numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
							goodsMenuVM.sale_price_show = numToCur(sale_price_show,goodsMenuVM.systemSetting.price_decimals_setting,'price')
						}
					});
				}
			}
		},
		product: {
			handler: function () {
				mui.each(this.product.list, function (index, value) {
					if (value.count < 0) {
						mui.alert("商品数量不能小于0");
						value.count = 0;
					}
				});
				this.calculation();
			},
			deep: true
		}
	},
	computed:{
		saleChooseText:function(){
			var newVal=this.saleChoose;
			var text='';
			[
				{key:"sale_A",value:"A价"},
				{key:"sale_B",value:"B价"},
				{key:"sale_last",value:"上次销售价"},
				{key:"sale_category",value:"客户分类价"}
			].forEach(function(item){
				if(item.key===newVal){
					text=item.value
				}
			})
			return text
		}
	},
	methods: {
		saleChooseChange:function(e){
			var _this=this
			var newVal=e.target.value
			var sale_price=0
			switch (newVal) {
				case 'sale_A':
					sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					break;
				case 'sale_B':
					sale_price=numToCur(goodsMenuVM.sale_price_B,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					break;
				case 'sale_last':
					if(goodsMenuVM.systemSetting.lastAmt_setting==1&&$comm.isFalseNotZero(goodsMenuVM.last_sale)){
						sale_price=numToCur(goodsMenuVM.last_sale,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					}else{
						sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					}
					break;
				case 'sale_category':
					if(goodsMenuVM.systemSetting.customer_category_price==1&&$comm.isFalseNotZero(goodsMenuVM.customer_category_price)){
						sale_price=numToCur(goodsMenuVM.customer_category_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					}else{
						sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					}
					break;
			}
			mui.each(goodsMenuVM.unitChooseList,function(i,v){
				if(v.id == goodsMenuVM.unitChoose){
					goodsMenuVM.unitChooseName = v.name;
					sale_price = numToCur(sale_price * v.ratio,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					return false
				}
			});
			_this.sale_price=sale_price;
			_this.saleChoose=newVal
		},
		/**
		 * 分类价很多坑，改时需谨慎
		 */
		findColor:function(saleP){
			this.$nextTick(function(){
				var ro = 1;
				mui.each(goodsMenuVM.unitChooseList,function(i,v){
					if(v.id == goodsMenuVM.unitChoose){
						ro = v.ratio;
						return false
					}
				});
				// var saleP = handleDecimal(goodsMenuVM.sale_price);
				var A = numToCur(Number(goodsMenuVM.sale_price_A) * Number(ro),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				var B = numToCur(Number(goodsMenuVM.sale_price_B) * Number(ro),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				let L = A;
				let C = A;
				if(goodsMenuVM.systemSetting.lastAmt_setting==1&&$comm.isFalseNotZero(goodsMenuVM.last_sale)){
					 L = numToCur(Number(goodsMenuVM.last_sale) * Number(ro),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				}
				if(goodsMenuVM.systemSetting.customer_category_price==1&&$comm.isFalseNotZero(goodsMenuVM.customer_category_price)){
					C = numToCur(Number(goodsMenuVM.customer_category_price) * Number(ro),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				}
				var saleChoose=''
				if(saleP == A){
					saleChoose='sale_A'
				}else if(saleP == B){
					saleChoose='sale_B'
				}else if(saleP == L){
					saleChoose='sale_last'
				}else if(saleP==C){
					saleChoose='sale_category'
				}else{
					saleChoose=''
				}
				goodsMenuVM.saleChoose=saleChoose
			})
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		calculation: function () {
			var count = 0;
			mui.each(this.product.list, function (index, value) {
				if (value.count) {
					count += Number(value.count);
				}
			});
			this.totalAmount = numToCur(count,goodsMenuVM.systemSetting.amount_decimals_setting);
			var ratio = 1;
			mui.each(goodsMenuVM.unitChooseList, function (index, value) {
				if (value.id == goodsMenuVM.unitChoose) {
					ratio = value.ratio;
					return false
				}
			});
			// this.totalPrice = Number(count * this.sale_price * ratio).toFixed(2);
			this.totalPrice = numToCur(count * this.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
		},
		changeUnitPrice: function () {
			this.isOpen = true;
			goodsMenuVM.$nextTick(function () {
				document.getElementById("priceIpt").focus();
				// mui(".btn-xiugai")[0].disabled = true;
				mui(".totalDetal")[0].style.display = 'none';
			})
		},
		
		changeTab: function (color) {
			this.selTabId = color.color_id;
		},
		batchAddCount: function(list, color_id) {
			for(var i = 0, len = list.length; i < len; i++) {
				if (list[i].color_id == color_id) {
					list[i].count = numToCur(Number(list[i].count) + 1,goodsMenuVM.systemSetting.amount_decimals_setting);
				}
			}

			this.product.list = list;
		},
		batchReduceCount: function(list, color_id){
			for(var i = 0, len = list.length; i < len; i++) {
				if (list[i].count > 0 && list[i].color_id == color_id) {
					list[i].count = numToCur(Number(list[i].count) - 1,goodsMenuVM.systemSetting.amount_decimals_setting);
				}
			}
			this.product.list = list;
			this.calculation();
		},
		addCount: function (item) {
			//goodsMenuVM.convert
			var	this_amount = numToCur(item.amount / (goodsMenuVM.convert || 1),goodsMenuVM.systemSetting.amount_decimals_setting)
			// if (item.count == item.amount && goodsMenuVM.titleSwitch) {
			if (item.count == this_amount && goodsMenuVM.titleSwitch) {
				var btn = ["取消","确定"];
				mui.confirm('销售数量超过库存，是否继续', '提示', btn, function (e) {
					if (e.index == 1) {
						item.count = numToCur(Number(item.count) + 1,goodsMenuVM.systemSetting.amount_decimals_setting);
						goodsMenuVM.titleSwitch = false;
					}
				},'div');
			} else {
				item.count = numToCur(Number(item.count) + 1,goodsMenuVM.systemSetting.amount_decimals_setting);
			}
			this.calculation();
		},
		reduceCount: function (item) {
			if (item.count > 0) {
				item.count = numToCur(Number(item.count) -1,goodsMenuVM.systemSetting.amount_decimals_setting);
			}
			this.calculation();
		},
		clearZero: function (item) {
			if(item.count ==0){
				item.count = ''
			}
			mui(".totalDetal")[0].style.display = 'none';

			return false;
		},
		blurCount: function (item) {

		},
		saveList: function (num) {
			console.error(goodsMenuVM.flogAmt)
			if(!goodsMenuVM.flogAmt){
				mui.alert("体验版提示：商品价格未加载完毕，可能导致开单价格为0，请联系客服！")
				return;
			}
			if(num&&num==0){
				// 当商品数量为0
				var inp=document.getElementById('number');
				var num=inp.value;
				if(num==0||num==null){
					var draftInfo=JSON.parse(localStorage.getItem('draftInfo'))
					console.log(draftInfo)
					// 修改ding'dan数据
					mui.ajax(severUrl + "scm/order/save.json",{
						data: {
							id:draftInfo.order_id,
							creater_id:draftInfo.creater_id, //操作用户设置
							remark:draftInfo.remark,
							sign_date:draftInfo.sign_date,
							customer_id:draftInfo.customer_id,
							customer_name:draftInfo.customer_name,
							depot_id:draftInfo.depot_id,
							rebate_amt:draftInfo.rebate_amt,
							order_amt:draftInfo.order_amt,
							purchase_amt:draftInfo.purchase_amt,
							amount:draftInfo.productlist.amount,
							ordertype:draftInfo.ordertype,
							submit_status:1,
							productlistlength:0,
							pay_status:draftInfo.pay_status,
							account_id:'3cxx',
							account_name:draftInfo.account_name,
							debt_status:draftInfo.debt_status,
							debt_amt:draftInfo.debt_amt,
							consignee_address:draftInfo.consignee_address,
							org_debt_amt:draftInfo.org_debt_amt,
							delivery_status:draftInfo.delivery_status,
							delivery_type:draftInfo.delivery_type,
							delivery_date:draftInfo.delivery_date,
						},
						headers: {
								'Content-Type': 'application/x-www-form-urlencoded'
							},
							xhrFields: {
								withCredentials: true
							},
							dataType: 'json',
							type: 'post',
							timeout: 10000,
							success: function (res) {
								viewHandle.viewFire('pinDraft.html','updateSelProduct');
								viewHandle.back()
						}
					})
				}
			}else{
				var salePrice = this.sale_price;
				if(salePrice === ""){
					return mui.toast("请输入商品价格")
				}
				this.product.amt = this.sale_price;
				this.product.sale_price = this.sale_price;
				//行业单位绑定
				if(this.unit_show == 1){
					this.product.unitChooseId = this.unitChoose;
					for(var i = 0; i<this.unitChooseList.length; i++){
						if(this.unitChoose == this.unitChooseList[i].id){
							this.product.unitChooseName = this.unitChooseList[i].name;
							this.product.unitChooseRatio = this.unitChooseList[i].ratio;
							this.product.unitMinName = goodsMenuVM.unitMinName;
							break;
						}
					}
				}
				var selProductList = JSON.parse(localStorage.getItem("selProductList"));
				if (!selProductList || selProductList.length == 0) {
					selProductList = [];
					goodsMenuVM.product.depot_id = goodsMenuVM.selectedDepot;
					selProductList.push(goodsMenuVM.product);
				} else {
					mui.each(selProductList, function (index, value) {
						if (value.id == goodsMenuVM.product.product_id && value.depot_id == goodsMenuVM.selectedDepot) {
							if(goodsMenuVM.unit_show == 1){
								value.unitChooseId = goodsMenuVM.unitChoose;
								for(var i = 0; i<goodsMenuVM.unitChooseList.length; i++){
									if(goodsMenuVM.unitChoose == goodsMenuVM.unitChooseList[i].id){
										value.unitChooseName = goodsMenuVM.unitChooseList[i].name;
										value.unitChooseRatio = goodsMenuVM.unitChooseList[i].ratio;
										value.unitMinName = goodsMenuVM.unitMinName;
										break;
									}
								}
							}
							var list=value.list;
							//已入库数量处理
							mui.each(list,function(i,v){
								mui.each(goodsMenuVM.product.list,function(k,m){
									if(v.color_id == m.color_id &&v.size_id == m.size_id){
										m.used_amount = Number(v.used_amount);
										m.used_amount = Number(v.used_amount)
									}
								})
							});
							value.list = goodsMenuVM.product.list;
							value.sale_price = salePrice;
							value.amt = salePrice;
							$.each(list,function(a,b){
				                $.each(value.list,function(c,d){
				                    if(b.color_id == d.color_id && b.size_id == d.size_id){
										d.ordertype = (b.type||b.type===0)?b.type:b.ordertype;
										var product_sn_list=b.product_sn_list||[]
										if(d.count<product_sn_list.length){
											product_sn_list=product_sn_list.slice(0,d.count)
										}
										d.product_sn_list=product_sn_list
				                        d.type=d.ordertype;
				                    	return;
									}
				                });
							});
							return false;
						} else if (index == selProductList.length - 1) {
							goodsMenuVM.product.depot_id = goodsMenuVM.selectedDepot;
							selProductList.push(goodsMenuVM.product);
							return false;
						}
					});
				}
				console.log(selProductList);
				//app区别主页与草稿数据
				localStorage.setItem("selStatus","0");
				//AB价格记录
				var AB_price=JSON.parse(localStorage.getItem("AB_price")) || [];
				var isAdd=true;
				mui.each(AB_price,function(i,v){
					if(v.product_id == goodsMenuVM.product.id && v.depot_id == goodsMenuVM.selectedDepot){
						v.unitChooseId = goodsMenuVM.product.unitChooseId || ''
						v.AB_price=salePrice;
						isAdd=false;
						return false;
					}
				});
				if(isAdd){
					AB_price.push({
						"AB_price":salePrice,
						"unitChooseId":goodsMenuVM.product.unitChooseId,
						"product_id":goodsMenuVM.product.id,
						"depot_id":goodsMenuVM.selectedDepot
					});
				}
				localStorage.setItem("AB_price",JSON.stringify(AB_price));
				localStorage.setItem("selProductList", JSON.stringify(selProductList));
				console.log(selProductList)
				sessionStorage.setItem("selProductList", JSON.stringify(selProductList));
				goodsMenuVM.sale_price = '0.00';
				goodsMenuVM.product.model = '';
				goodsMenuVM.titleSwitch = true;
				if (getQueryString('type') == 3 || sessionStorage.getItem('type') == 3) {
					if(mui('#goodsColorSize')[0]){
				        mui('#goodsColorSize')[0].style.display = "none";
				        mui('#xiaoDom')[0].style.display = "block";
				        //xiaoVM.selProductList = localStorage.getItem("selProductList");
				        sessionStorage.removeItem('type');
				        sessionStorage.removeItem('productId');
				        getSelProductList();
					}else{
				        sessionStorage.removeItem('type');
				        sessionStorage.removeItem('productId');
				        location = 'xiao.html';
					}
				}else if (goodsMenuVM.type == 4){
					viewHandle.viewFire('pinDraft.html','updateSelProduct');
					viewHandle.back()
				}else if (goodsMenuVM.type == 'inventTory'){
					viewHandle.viewFire('H576E5848','orderAdd');
					viewHandle.openWindow('H576E5848.html','H576E5848')
				}else if(localStorage.getItem('type') == 5){
					if(mui('#goodsColorSize')[0]){
						localStorage.removeItem('type');
						localStorage.removeItem('productId');
						mui('#goodsColorSize')[0].style.display = "none";
						mui('#productListVM')[0].style.display = "block";
						viewHandle.viewFire('H576E5848','orderAdd');
						viewHandle.back()
					}else{
						if(window.self === window.top){
							mui.openWindow({
								id:"xiao",
								url:"xiao.html"
							});
						}else{
							parent.getSelProductList();
							location = 'productList.html?page=xiao';
						}
					}
				    // location = 'xiao.html';
				}else if(localStorage.getItem('type') == "4-2"){
					mui('#goodsColorSize')[0].style.display = "none";
					mui('#pinDraftProductListVM')[0].style.display = "block";
					viewHandle.viewFire('pinDraft.html','updateSelProduct');
					viewHandle.back()
				}
			}		
		},
        goDebatDts: function () {
            var id=sessionStorage.getItem("selectedBuyer");
            var name=sessionStorage.getItem("buyerName");
			if(name=="" || name==null){
                location = 'view/debatDts.html?id=' + xiaoVM.selectedBuyer + '&name=' + xiaoVM.buyerName + '&type=' + 'customer';
			}else{
                location = 'view/debatDts.html?id=' + id + '&name=' + name + '&type=' + 'customer';
			}


        }
    
	},
	mounted: function () {
		var _this = this;
		mui.plusReady(function () {
			goodsMenuVM.getPurview();
			if(localStorage.systemSetting){
				_this.systemSetting = JSON.parse(localStorage.systemSetting)
			}
		})
	}
});

function companyQry() {
    mui.ajax(severUrl + "scm/productpicture/qry.json", {
        data : {
            "productId":sessionStorage.getItem("productId") || localStorage.getItem("productId")
        },
        headers : {
            'Content-Type' : 'application/x-www-form-urlencoded'
        },
        xhrFields : {
            withCredentials : true
        },
        dataType : 'json',
        type : 'post',
        timeout : 10000,
        success : function(res) {
            if(null!=res.data && res.data!=""){
                var src = img_url+res.data.name;
                $(".phUpload").attr("src",src);
            }else{
                var src = "img/tx.jpg";
                $(".phUpload").attr("src",src);
            }
        }
    });
}
function editColor(e,v){
	switch (v) {
		case 'A':
			goodsMenuVM.sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			break;
		case 'B':
			goodsMenuVM.sale_price=numToCur(goodsMenuVM.sale_price_B,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			break;
		case 'lastSale':
			if(goodsMenuVM.last_sale !='' && goodsMenuVM.last_sale !=undefined){
				goodsMenuVM.sale_price=numToCur(goodsMenuVM.last_sale,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			}else{
				goodsMenuVM.sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			}
			break;
	}
	mui.each(goodsMenuVM.unitChooseList,function(i,v){
		if(v.id == goodsMenuVM.unitChoose){
			goodsMenuVM.unitChooseName = v.name;
			goodsMenuVM.sale_price = numToCur(goodsMenuVM.sale_price * v.ratio,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			return false
		}
	});
	$(".edit-xiugai").addClass('colorW');
    $(e).removeClass('colorW')
}

function unitCustomize(){
	goodsMenuVM.customize = true
}
mui('.mui-content').on('tap', '.look-price', function(){
	if (!goodsMenuVM.isOpen) {
		goodsMenuVM.isOpen = true;
	}else if(goodsMenuVM.isOpen){
		goodsMenuVM.isOpen = false;
	}
});

/**
 * load product dts info
 */
function loadPRoductDtsInfo(amt) {
	goodsMenuVM.flogAmt=false
	if(amt == "" || amt == null){
		var AB_price=JSON.parse(localStorage.getItem("AB_price"));
		var productId=sessionStorage.getItem('productId') || localStorage.getItem('productId') || getQueryString('productId');
		var depot =sessionStorage.getItem("selectedDepot") || localStorage.getItem("selectedDepot");
		mui.each(AB_price,function(i,v){
			if(v.product_id == productId && v.depot_id == depot&&v.unitChooseId==goodsMenuVM.product.unitChooseId){
				amt=v.AB_price;
				return false;
			}
		});
	}
    companyQry();
	if (!getQueryString('productId') && !sessionStorage.getItem('productId') && !localStorage.getItem('productId')) {
		return;
	}
	var customerId=sessionStorage.getItem('selectedBuyer');
	var is_default = 1;
	if(customerId != sessionStorage.getItem('defaultCustomer')){
		is_default = 0
	}
	mui.ajax(severUrl + "scm/product/qryOp.json", {
		data: {
			"id":sessionStorage.getItem('productId') || localStorage.getItem('productId') || getQueryString('productId'),
			"customer_id":customerId,
			"is_default":is_default
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 20000,
        beforeSend: function() {
            mui('#dh2')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh2')[0].style.display = "none";
        },
		success: function (res) {
			if(res.success){
				goodsMenuVM.sale_price = '';
				goodsMenuVM.product.name = res.data.name; //库存查询时更新
				goodsMenuVM.sale_price_A=res.data.sale_price;
				goodsMenuVM.sale_price_B=res.data.sale_price_b;
				//是否默认客户
				goodsMenuVM.last_sale=res.data.last_amt;
				goodsMenuVM.customer_category_price = res.data.customer_category_price;
				if(null!=amt){
					goodsMenuVM.sale_price=numToCur(Number(amt),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				}else{
					//是否默认客户
					// if(sessionStorage.getItem('selectedBuyer') != sessionStorage.getItem('defaultCustomer')){
						if(goodsMenuVM.systemSetting.lastAmt_setting==1&&$comm.isFalseNotZero(goodsMenuVM.last_sale)){
							goodsMenuVM.sale_price = goodsMenuVM.last_sale;
						}else if(goodsMenuVM.systemSetting.customer_category_price==1&&$comm.isFalseNotZero(goodsMenuVM.customer_category_price)){
							goodsMenuVM.sale_price = goodsMenuVM.customer_category_price;
						}else{
							goodsMenuVM.sale_price = res.data.sale_price;
						}					
						goodsMenuVM.sale_price= numToCur(Number(goodsMenuVM.sale_price),goodsMenuVM.systemSetting.price_decimals_setting,'price');
						hasLast = true;
					// }else{
					// 	goodsMenuVM.sale_price = numToCur(Number(res.data.sale_price),goodsMenuVM.systemSetting.price_decimals_setting,'price');
					// }
				}
				goodsMenuVM.purchase_price = numToCur(res.data.purchase_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
				goodsMenuVM.product.purchase_price = numToCur(res.data.purchase_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
				goodsMenuVM.goodInfo = res.data;
				var x=[];
				x.push({
					"billsn":res.data.billsn,
					"category":res.data.category,
					"id":res.data.id,
					"model":res.data.model,
					"material":res.data.material,
					"name":res.data.name,
					"purchase_price":res.data.purchase_price,
					"sale_price":res.data.sale_price,
					"sale_price_b":res.data.sale_price_b,
					"status":res.data.status,
					"stock_warn":res.data.stock_warn,
					"unit":res.data.unit,
					"colorlist":res.data.colorlist,
					"colornamelist":res.data.colornamelist,
					"sizelist":res.data.sizelist,
					"sizenamelist":res.data.sizenamelist,
					"company_id":res.data.company_id,
					"remark":res.data.remark,
					"barcodes":res.data.barcodes
				});
				var category = res.data.category;
				sessionStorage.setItem('category_id',category);
				sessionStorage.setItem('category_name','');
				sessionStorage.setItem('category_parent_name','');
				var parent_id='';
				if(category != '1' && category != ''){
					var categorylist = res.data.categorylist;
					mui.each(categorylist,function(i,v){
						if(v.id == category){
							sessionStorage.setItem('category_name',v.name);
							parent_id=v.parent_id;
							return;
						}
					})
				}
				if(parent_id !=''){
					mui.each(categorylist,function(i,v){
						if(v.id == parent_id){
							sessionStorage.setItem('category_parent_name',v.name);
							return;
						}
					})
				}
				sessionStorage.setItem("list",JSON.stringify(x));
				sessionStorage.setItem("name",res.data.name);
				sessionStorage.setItem("model",res.data.model);
				sessionStorage.setItem("material",res.data.material);
				sessionStorage.setItem("material",res.data.material);
				sessionStorage.setItem("purchase_price",res.data.purchase_price);
				sessionStorage.setItem("sale_price",res.data.sale_price);
				sessionStorage.setItem("sale_price_b",res.data.sale_price_b);
				sessionStorage.setItem("selColorList",JSON.stringify(res.data.colornamelist));
				sessionStorage.setItem("selSizeList",JSON.stringify(res.data.sizenamelist));
				sessionStorage.setItem("barcodes",JSON.stringify(res.data.barcodes));
				sessionStorage.setItem("id",res.data.id);
				sessionStorage.setItem("mainUnitId",res.data.main_unit);
				sessionStorage.setItem("mainUnitName",res.data.main_uint_name);
				// goodsMenuVM.unitChoose = "";
				if(goodsMenuVM.unit_show ==1){
					var unitChooseList = [],unitList=[],unitChoose={};
					if(res.data.main_unit !="" && res.data.main_uint_name !=""){
						unitChoose = {
							id:res.data.main_unit,
							name:res.data.main_uint_name,
							ratio:1
						};
						unitChooseList.push(unitChoose);
					}
					if(res.data.unitrulelist.length>0){
						var list = res.data.unitrulelist;
						for(var i=0;i<list.length;i++){
							var info={
								id:list[i].assist_unit,
								name:list[i].assist_unit_name,
								ratio:list[i].ratio,
								editId:list[i].id,
								product_id:list[i].product_id
							};
							unitChoose = {
								id:list[i].assist_unit,
								name:list[i].assist_unit_name,
								ratio:list[i].ratio,
							};
							unitChooseList.push(unitChoose);
							unitList.push(info)
						}
					}
					goodsMenuVM.unitChooseList = unitChooseList;
					if(goodsMenuVM.sale_price == 0){
						goodsMenuVM.sale_price = '';
						mui.plusReady(function(){
							goodsMenuVM.sale_price = '0.00'
						})
					}
					if(!goodsMenuVM.unitChoose){
						goodsMenuVM.unitMinName = '';
						goodsMenuVM.temporary = ''; //清除上次记忆
						goodsMenuVM.unitChoose = ''; //清除上次防止监听失效
						if(goodsMenuVM.unitChooseList.length>0){
							goodsMenuVM.temporary = goodsMenuVM.unitChooseList[0].id;
							goodsMenuVM.unitChoose = goodsMenuVM.unitChooseList[0].id;
							goodsMenuVM.unitMinName = goodsMenuVM.unitChooseList[0].name
						}
					}
					console.log(goodsMenuVM.sale_price)
					console.log(unitList);
					sessionStorage.setItem("unitList",JSON.stringify(unitList))
				}
				goodsMenuVM.flogAmt=true
			}else{
				mui.toast(res.msg)
			}
		},
        error:function(res){
            var btnArray = ["重新加载"];
            mui.confirm('', '网络异常', btnArray, function(e) {
                window.location.href = 'xiao.html';
            },'div')
        }
	});
}

/*库房*/
//kufang()
function kufang() {
	var depotList = JSON.parse(sessionStorage.getItem("depotList")) || JSON.parse(localStorage.getItem("depotList"));
	var id = sessionStorage.selectedDepot || localStorage.selectedDepot;
	mui.each(depotList, function (index, value) {
		if (value.id == id) {
			goodsMenuVM.stock = value.name;
			$("#stockVal").html(goodsMenuVM.stock)
			sessionStorage.setItem("name", value.name);
		}
	});
}

function hideTotal() {
	// mui(".btn-xiugai")[0].disabled = false;
	mui(".totalDetal")[0].style.display = 'block';
}

function getGoodsMenu() {/*product.list.depot_id*/
		mui("#dh2")[0].style.display = "block";
	goodsMenuVM.selectedDepot = sessionStorage.getItem("selectedDepot") || localStorage.getItem("selectedDepot");
	if(!goodsMenuVM.selectedDepot || goodsMenuVM.selectedDepot =='undefined'){
		mui.toast("仓库异常！请确认仓库是否正确！")
		return
	}
	var product = JSON.parse(sessionStorage.getItem("product")) || JSON.parse(localStorage.getItem("product"));
	if (!product) {
		return
	}
	goodsMenuVM.product.model = product.model;
	goodsMenuVM.colorList = [];
	goodsMenuVM.sizeList = [];
	mui.ajax(severUrl + "scm/stock/qryOp.json", {//单个商品库存查询接口
		data: {
			product_id: product.product_id,
			depot_id: goodsMenuVM.selectedDepot
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		beforeSend: function() {
			mui('.loadColorAndSize').button('loading');
		},
		complete: function() {
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 20000,//超时时间设置为20秒；
		success: function (res) {
			mui("#dh2")[0].style.display = "none";
			mui('.loadColorAndSize').button('reset');
			var colorList = [];
			var sizeList = [];

			mui.each(res.data, function (index, value) {
				value.count = 0;
				value.used_amount = 0;
				value.ordertype = 0;
				if (index != 0) {
					var i, j;
					for (i = 0; i < colorList.length; i++) {
						if (value.color_id == colorList[i].color_id) {
							break;
						}
					}
					for (j = 0; j < sizeList.length; j++) {
						if (value.size_id == sizeList[j].size_id) {
							break;
						}
					}
					if (i == colorList.length) {
						colorList.push({ color_name: value.color_name, color_id: value.color_id });
					}
					if (j == sizeList.length) {
						sizeList.push({ size_name: value.size_name, size_id: value.size_id });
					}
				} else {
					colorList.push({ color_name: value.color_name, color_id: value.color_id });
					sizeList.push({ size_name: value.size_name, size_id: value.size_id });
				}
			});

			product.list = res.data;
			var max_time=200;
			var selProductList = JSON.parse(localStorage.getItem("selProductList"));
			var selStatus=localStorage.getItem("selStatus");
			if(selStatus != "1" || localStorage.getItem("pageTabId")=="draft"){
                if (selProductList && selProductList.length != 0) {
                    mui.each(selProductList, function (index, value) {
						goodsMenuVM.unitChoose = '';
                        if (value.id == product.product_id && value.depot_id == goodsMenuVM.selectedDepot) {
							goodsMenuVM.$nextTick(function(){
								setTimeout(function(){
									if(value.unitChooseId){
										goodsMenuVM.temporary = value.unitChooseId;
										goodsMenuVM.unitChoose = goodsMenuVM.temporary;
										goodsMenuVM.unitChooseName = '';
										mui.each(goodsMenuVM.unitChooseList,function(i,v){
											if(v.id == goodsMenuVM.unitChoose){
												goodsMenuVM.unitChooseName = v.name;
											}
										})
									}else{
										goodsMenuVM.unitChoose = goodsMenuVM.temporary;
										goodsMenuVM.unitChooseName = '';
										mui.each(goodsMenuVM.unitChooseList,function(i,v){
											if(v.id == goodsMenuVM.unitChoose){
												goodsMenuVM.unitChooseName = v.name;
											}
										})
									}
								},max_time)
							});
                            mui.each(product.list, function (index1, value1) {
                                mui.each(value.list, function (index2, value2) {

                                    if (value2.color_id == value1.color_id && value2.size_id == value1.size_id) {
                                        value1.count = value2.count;
                                        // return false;
                                    }
                                });
                            });
                        }else{
							goodsMenuVM.$nextTick(function(){
								setTimeout(function(){
									goodsMenuVM.unitChoose = goodsMenuVM.temporary;
									goodsMenuVM.unitChooseName = '';
									mui.each(goodsMenuVM.unitChooseList,function(i,v){
										if(v.id == goodsMenuVM.unitChoose){
											goodsMenuVM.unitChooseName = v.name;
										}
									})
								},max_time)
							});
						}
                    });
                }else{
					goodsMenuVM.$nextTick(function(){
						setTimeout(function(){
							goodsMenuVM.unitChoose = goodsMenuVM.temporary;
							goodsMenuVM.unitChooseName = '';
							mui.each(goodsMenuVM.unitChooseList,function(i,v){
								if(v.id == goodsMenuVM.unitChoose){
									goodsMenuVM.unitChooseName = v.name;
								}
							})
						},max_time)
					});
				}
			}
			goodsMenuVM.sizeList = sizeList;
			goodsMenuVM.colorList = colorList;
			if (colorList.length != 0) {
			    if(goodsMenuVM.color_show == 0){
			        var hideColorList = [];
                    hideColorList.push(colorList[0]);
                    goodsMenuVM.colorList=hideColorList
                }
			}
            goodsMenuVM.selTabId = colorList[0].color_id;
			goodsMenuVM.product = product;
			goodsMenuVM.calculation();
		}
	});
}
mui('.mui-media').on('tap', '.link-product-attr', function () {
	//修改点击图片异常弹出网络异常
	//loadPRoductDtsInfo();
	if (getQueryString('type')) {
	    location = 'changeItem.html?productId=' + getQueryString('productId') + '&page=' + 'pinGoodsColorSize' + '&type=' + getQueryString('type')
	}else {
		var listSend = {};
		listSend.list = JSON.parse(sessionStorage.getItem("list"));
		listSend.mainUnitId = sessionStorage.getItem("mainUnitId");
		listSend.mainUnitName = sessionStorage.getItem("mainUnitName");
		listSend.unitList = JSON.parse(sessionStorage.getItem("unitList"));
		listSend.category_id = sessionStorage.getItem("category_id");
		listSend.category_name = sessionStorage.getItem("category_name");
		listSend.category_parent_name = sessionStorage.getItem("category_parent_name");
		viewHandle.viewFire('changeItem.html','changeItem',listSend);
		viewHandle.openWindow('changeItem.html','changeItem.html',JSON.stringify(listSend));
	}
	
});

mui('.mui-bar').on('tap', '.back-cg', function(){
	goodsMenuVM.titleSwitch = true;
	if (getQueryString('type') == 3 || sessionStorage.getItem('type') == 3) {
		if(mui('#goodsColorSize')[0]){
            mui('#goodsColorSize')[0].style.display = "none";
            mui('#xiaoDom')[0].style.display = "block";
            sessionStorage.removeItem('type');
            sessionStorage.removeItem('productId');
            getSelProductList();
		}else{
            sessionStorage.removeItem('type');
            sessionStorage.removeItem('productId');
            location = 'xiao.html';
		}
	}else if (goodsMenuVM.type == 4){
		viewHandle.back()
	}else if (goodsMenuVM.type == 'inventTory'){
		viewHandle.back()
	}else if(localStorage.getItem('type') == 5){
		mui('#goodsColorSize')[0].style.display = "none";
		mui('#productListVM')[0].style.display = "block";
	}else if(getQueryString('type') == '4-2' || sessionStorage.getItem('type') == '4-2'){
        location = 'pinDraftProductList.html?page=xiao';
	}
	// goodsMenuVM.sale_price = 0;
	goodsMenuVM.sale_price = '';
	goodsMenuVM.product.model = '';
	goodsMenuVM.unitChoose = ''
});

function getRecentAmt() {
	var customer_id='';
    if(getQueryString('type') == 5 || sessionStorage.getItem('type') == 5){
        customer_id=sessionStorage.getItem("selectedBuyer");
        goodsMenuVM.buyerName = sessionStorage.getItem("buyerName")
	}else{
        customer_id=xiaoVM.selectedBuyer;
        goodsMenuVM.buyerName = xiaoVM.buyerName;
	}
	var productId = getQueryString('productId') || sessionStorage.getItem('productId')
	if (!productId) {
		return;
	}
    mui.ajax(severUrl + "scm/order/recentAmt.json", {
        data: {
            "customer_id": customer_id,
            "product_id": productId
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
			goodsMenuVM.recentAmt = res.data;
        }
    });
}

function pinGetRecentAmt() {

    var productId = getQueryString('productId') || sessionStorage.getItem('productId')
    if (!productId) {
        return;
    }
    //goodsMenuVM.buyerName = xiaoVM.buyerName;
    mui.ajax(severUrl + "scm/order/recentAmt.json", {
        data: {
            "customer_id": sessionStorage.getItem("selectedBuyer"),
            "product_id": productId
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            goodsMenuVM.recentAmt = res.data;
        }
    });
}

function getDebet() {
    var customer_id='';
    if(getQueryString('type') == 5 || sessionStorage.getItem('type') == 5){
        customer_id=sessionStorage.getItem("selectedBuyer");
    }else{
        customer_id=xiaoVM.selectedBuyer;
    }
	mui.ajax(severUrl + "scm/order/debet.json", {
        data: {
            "customer_id":customer_id,
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
			goodsMenuVM.total = res.data;
        }
    });
}

function getNewDebet() {
    mui.ajax(severUrl + "scm/order/debet.json", {
        data: {
            "customer_id": sessionStorage.getItem("selectedBuyer"),
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            goodsMenuVM.total = res.data;
        }
    });
}



mui('.popover').on('tap', '.btn-xiugai', function () {
	goodsMenuVM.sale_price = numToCur(this.dataset.amt,goodsMenuVM.systemSetting.price_decimals_setting,'price');
});

mui('.mui-content').on('tap','.mui-icon-arrowdown',function(){
	$("#unitChoose").click();
});
function clearZero(obj) {
	obj.value = "";
	return false;
}


//
function priceCustomize(_this){
	$(_this).val(goodsMenuVM.saleChoose)
}