function getQueryString(name) {
    //处理参数中带'#'
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var s=window.location.href.split('?');
    var r = s[1].match(reg);
    if (r != null) return decodeURIComponent(r[2]); return null;
}
var goodId = '',depots = '';
window.addEventListener('singleQry',function(e){
    getDepot();
    singleGoods.lsDateFirst = e.detail.beginTime;
    singleGoods.lsDateLast = e.detail.endTime;
    goodId = e.detail.id;
    depots = e.detail.depots;
    getGoodList(e.detail.beginTime,e.detail.endTime);
    $("#goodInfo").text('货号：'+e.detail.model);
    $("#goodInfoName").text('名称：'+e.detail.name);
});
mui.plusReady(function(){
    getDepot();
    var arg = JSON.parse(plus.webview.currentWebview().arg);
    singleGoods.lsDateFirst = arg.beginTime;
    singleGoods.lsDateLast = arg.endTime;
    goodId = arg.id;
    depots = arg.depots;
    getGoodList(arg.beginTime,arg.endTime);
    $("#goodInfo").text('货号：'+arg.model);
    $("#goodInfoName").text('名称：'+arg.name);
});
Vue.filter("searchTime-format", function (time) {
    var date = new Date(time);
    var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
    return newDate;
});

var singleGoods = new Vue({
    el: '#singleGoods',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        id:'',
        lsDateFirst:'',
        lsDateLast:'',
        historyTime:'',
        selectedDepot:'',
        colorList:[],
        selTabId:'',
        goodsList:{},
        goodInfo:'',
        //全行业参数
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    watch: {

    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        changeTab: function (color) {
            this.selTabId = color.color_id;
        }
    },
    created: function () {
        this.historyTime = new Date().getTime();
    },
    mounted:function(){
        var _this = this;
        setListener();
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
function getDepot(){
    mui.ajax(severUrl + "scm/depot/list.json", {
        data: {},
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                singleGoods.selectedDepot = res.data[0].id;
                orlorList();
            }
        }
    });
}
function orlorList(){
    mui.ajax(severUrl + "scm/stock/qryOpWithsales.json", {
        data: {
            product_id:goodId,
            depot_id:singleGoods.selectedDepot
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            var colorList = [];
            mui.each(res.data, function (index, value) {
                value.count = 0;
                value.ordertype = 0;
                if (index != 0) {
                    var i;
                    for (i = 0; i < colorList.length; i++) {
                        if (value.color_id == colorList[i].color_id) {
                            break;
                        }
                    }
                    if (i == colorList.length) {
                        colorList.push({color_name: value.color_name, color_id: value.color_id});
                    }

                } else {
                    colorList.push({color_name: value.color_name, color_id: value.color_id});
                }
            });
            singleGoods.colorList=colorList;
            if (colorList.length != 0) {
                singleGoods.selTabId = colorList[0].color_id;
            }
        }
    });
}
mui('body').on('tap','.searchHistory',function(){
    getGoodList(singleGoods.lsDateFirst,singleGoods.lsDateLast);
});

function getGoodList(beginTime, endTime){
    var data = timedifference(beginTime, endTime);
    if(data > 366){
        mui.toast("查询时间范围不能大于12个月，请分段查询");
        return;
    }
    var url='';
    if(null ==beginTime || null ==endTime){
        url="scm/stock/qryOpWithSalesAndPurchases.json";
    }else{
        url="scm/stock/qryOpWithSalesAndPurchasesAndDataTime.json";
    }
    mui.ajax(severUrl + url, {
        data: {
            depot_ids:depots.join(";"),
            product_id:goodId,
            beginTime:beginTime,
            endTime:endTime
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        beforeSend: function() {
            mui('#dh2')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh2')[0].style.display = "none";
        },
        success: function (res) {
            singleGoods.goodsList=res.data;
        }
    });
}


/**
 * 月、天条件过滤
 */
mui("#singleGoods").on('click', '.historySearch', function () {
    singleGoods.lsDateFirst = "";
    singleGoods.lsDateLast = "";
    // 按天过滤
    if (this.dataset.to == "previous" || this.dataset.to == "next") {
        if (this.dataset.to == "previous") {
            singleGoods.historyTime -= 24 * 60 * 60 * 1000;

        } else if (this.dataset.to == "next") {
            singleGoods.historyTime += 24 * 60 * 60 * 1000;
            if (singleGoods.historyTime >= Date.parse(new Date())) {
                singleGoods.historyTime = Date.parse(new Date());
            }
        }
        var date = new Date(singleGoods.historyTime);
        var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
        var endTime=addDate(searchTime,1)
        getGoodList(searchTime, endTime);
        singleGoods.lsDateFirst = "";
        singleGoods.lsDateLast = "";
    }

    // 按月过滤
    if (this.dataset.to == "previousM" || this.dataset.to == "nextM") {
        if (this.dataset.to == "previousM") {
            singleGoods.historyTime -= 24 * 60 * 60 * 1000 * 30;

        } else if (this.dataset.to == "nextM") {
            singleGoods.historyTime += 24 * 60 * 60 * 1000 * 30;
            if (singleGoods.historyTime >= Date.parse(new Date())) {
                singleGoods.historyTime = Date.parse(new Date());
            }
        }

        if (singleGoods.historyTime >= Date.parse(new Date())) {
            var nowData = new Date(singleGoods.historyTime);
            var nowY = nowData.getFullYear();
            var nowM = (nowData.getMonth() + 1) < 10 ? "0" + (nowData.getMonth() + 1) : (nowData.getMonth() + 1);

            singleGoods.lsDateFirst = nowY + '-' + nowM + '-' + '01';
            singleGoods.lsDateLast = singleGoods.loadNowDate;

        } else {
            var nowData = new Date(singleGoods.historyTime);
            var nowY = nowData.getFullYear();
            var nowM = (nowData.getMonth() + 1) < 10 ? "0" + (nowData.getMonth() + 1) : (nowData.getMonth() + 1);

            singleGoods.lsDateFirst = nowY + '-' + nowM + '-' + '01';
            singleGoods.lsDateLast = nowY + '-' + nowM + '-' + getLastDay(nowY, nowM);
        }
        getGoodList(singleGoods.lsDateFirst, singleGoods.lsDateLast);
    }
});

mui('body').on('tap', '.back-cg', function(){
    viewHandle.back('close')
});
/**
 *
 *得到一个月最大天数
 */
function getLastDay(year, month) {
    var new_year = year;
    var new_month = month++;

    if (month > 12) {
        new_month -= 12;
        new_year++;
    }
    var new_date = new Date(new_year, new_month, 1);
    return (new Date(new_date.getTime() - 1000 * 60 * 60 * 24)).getDate();
}

/**
 * 在时间基础上增加天数
 */
function addDate(date,days){
    var d=new Date(date);
    d.setDate(d.getDate()+days);
    var m=d.getMonth()+1;
    return d.getFullYear()+'-'+m+'-'+d.getDate();
}

function setListener(){
    var lsDateFirst = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    });
    var lsDateLast = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    });
    mui('body').on('tap', '.lsDateFirst', function () {
        lsDateFirst.show(function (e) {
            singleGoods.lsDateFirst = e.text;
        })
    });
    mui('body').on('tap', '.lsDateLast', function () {
        lsDateLast.show(function (e) {
            singleGoods.lsDateLast = e.text;
        })
    });
}




