var sns_print_vm = new Vue({
    el: "#sns_print_vm",
    data: {
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1 ,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
        model:'',
        name:'',
        order_id:'',
        choose_list: [],
        show_list: [],
		keyList:[]
    },
    watch: {

    },
    computed:{

    },
    methods:{
        print:function(){//批量打印
            var _this = this,qry_ids = [];;
            if(_this.choose_list.length >0){
                mui.ajax(severUrl + "sso/company/qry.json", {
                    data: {
                        id: ""
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    success: function (res) {
                        if(res.data.status != 1){
                            $comm.showLimitPrint({rootPath:'./'})
                        }else{
                            viewHandle.waiting("数据查询中...")
                            mui.each(_this.choose_list,function(i,ch){
                                ch.otherAttrList = [];
                                ch.keyList = _this.keyList;
								
								//序列号打印补充信息
								([
									{key:"barcode",value:ch.product_sn},
									{key:"id",value:ch.product_id},
									{key:"index",value:i},
									{key:"num",value:1},
									{key:"origin_specification",value:_this.origin_specification},
									{key:"sale_price",value:(ch.sale_price_a||0)},
									{key:"size",value:ch.size_name},
									{key:"color",value:ch.color_name}
								]).forEach(function(item){
									ch[item.key]=ch[item.key]||item.value
								})
								
                                qry_ids.push(ch.product_id)
                            })
                            qry_ids = _.uniq(qry_ids)
                            mui.each(qry_ids,function(qry_i,qry_v){
                                setTimeout(function(){
                                    get_otherAttrList(qry_v,qry_i)
                                },qry_i*500)
                            })
                            function get_otherAttrList(id,qry_i){
                                mui.ajax(severUrl + 'scm/productotherattr/qryOp.json', { //otherAttrList
                                    data : {
                                        product_id:id
                                    },
                                    headers : {
                                        'Content-Type' : 'application/x-www-form-urlencoded'
                                    },
                                    xhrFields : {
                                        withCredentials : true
                                    },
                                    dataType : 'json',
                                    type : 'post',
                                    timeout : 30000,
                                    success : function(res) {
                                        if (res.success) {
                                            mui.each(_this.choose_list,function(arr_i,arr_v){
                                                if(arr_v.product_id == id){
                                                    arr_v.otherAttrList = res.data;
                                                }
                                            })
                                            if(qry_i == qry_ids.length-1){
                                                if(_this.parentPage != "cai_his_print"){
                                                    mui.each(qry_ids,function(pic_i,pic_v){
                                                        setTimeout(function(){
                                                            get_pic(pic_v,pic_i)
                                                        },qry_i*500)
                                                    })
                                                }else{
                                                    viewHandle.close();
                                                    if (mui.os.ios == true) {
                                                        printCode_i(_this.choose_list)
                                                    } else if (mui.os.android == true) {
                                                        printCode(_this.choose_list)
                                                    }
                                                }
                                            }
                                        }else{
                                            viewHandle.close();
                                            mui.toast(res.msg)
                                        }
                                    }
                                });
                            }
                            function get_pic(id,idx){
                                mui.ajax(severUrl + "scm/productpicture/qry.json", {
                                    data: {
                                        "productId": id
                                    },
                                    headers: {
                                        'Content-Type': 'application/x-www-form-urlencoded'
                                    },
                                    xhrFields: {
                                        withCredentials: true
                                    },
                                    dataType: 'json',
                                    type: 'post',
                                    success: function(res) {
                                        if(res.success){
                                            mui.each(_this.choose_list,function(arr_i,arr_v){
                                                if(arr_v.product_id == id){
                                                    arr_v.pic_name = res.data.name;
                                                    arr_v.pic_url = img_url;
                                                }
                                            })
                                            if(idx == qry_ids.length-1){
                                                viewHandle.close();
                                                if (mui.os.ios == true) {
                                                    printCode_i(_this.choose_list)
                                                } else if (mui.os.android == true) {
                                                    printCode(_this.choose_list)
                                                }
                                            }
                                        }else{
                                            viewHandle.close();
                                            mui.toast(res.msg)
                                        }
                                    }
                                });
                            }
                        }
                    }
                });
            }else{
                mui.toast("请勾选需要打印的商品！")
            }
        },
        choose_all:function(e){ //全选
            var _this = this;
            if(e.target.checked){
                var list = []
                mui.each(_this.show_list,function(i,v){
                    list.push(v)
                })
                _this.choose_list = list
            }else{
                _this.choose_list = []
            }
        },
        cai_his_print:function(){ //历史单据可用sn打查询
            var _this = this;
            mui.ajax(severUrl + 'scm/productsn/qryAllProductSNsByOrder.json', {
                data : {
                    order_id:_this.order_id
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                success : function(res) {
                    if (res.success) {
                        mui.each(res.data,function(i,v){
                            mui.each(_this.show_list,function(j,k){
                                if(v.product_id == k.product_id && v.color_id == k.color_id
                                    && v.size_id == k.size_id && v.type == k.type){
										//同一个单品多个序列号
										if(!k.product_sn){
											k.product_sn = v.product_sn;
											return false;
										}
                                }
                            })
                        })
                    }
                }
            });
        },
		getKeyList(){
			var _this=this
			mui.ajax(severUrl + "scm/productother/dataGrid.json", {
				async:false,
				data: {
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',//服务器返回json格式数据
				type: 'post',//HTTP请求类型
				timeout: 10000,//超时时间设置为10秒；
				success: function (res) {
					if(res.success){
						_this.keyList = res.data.list;
					}else if (res.status == 10101 || res.status == 10102) {
						logOut(res.msg)
					}
				}
			});
		}
    },
    created:function(){

    },
    mounted:function(){
        var _this = this;
        mui.plusReady(function(){ //ios
            var arg = plus.webview.currentWebview().arg;
            if(arg) {
                arg = JSON.parse(arg);
                _this.model = arg.model||'';
                _this.name = arg.name||'';
                var list = arg.print_list;
                if(arg.parentPage == 'cai_his_print'){
                    _this.order_id = list[0].id;
                    var show_list = []
                    mui.each(list,function(i,v){
                        for(var amount_i =0;amount_i < v.amount; amount_i++){
                            var check = {
                                color_id: v.color_id,
                                color_name: v.color_name,
                                material: v.material,
                                pic_name:v.picture_name,
                                pic_url:v.img_url,
                                model: v.product_model,
                                name: v.product_name,
                                product_id: v.product_id,
                                product_sn: '',
                                sale_price_a: v.sale_price_a,
                                sale_price_b: v.sale_price_b,
                                size_id: v.size_id,
                                size_name: v.size_name,
                                type:v.type
                            }
                            show_list.push(check)
                        }
                    })
                    _this.show_list = show_list
                    _this.cai_his_print()
                }else if(arg.parentPage == 'goods_print'){
                    var show_list = []
                    mui.each(list,function(i,v){
                        mui.each(v.product_sn_list,function(sn_i,sn){
                            var check = {
                                color_id: v.color_id,
                                color_name: v.color_name,
                                material: v.material,
                                model: v.model,
                                name: v.name,
                                pic_name:'',
                                pic_url:'',
                                product_id: v.product_id,
                                product_sn: sn,
                                sale_price_a: v.sale_price_a,
                                sale_price_b: v.sale_price_b,
                                size_id: v.size_id,
                                size_name: v.size_name,
                                type:v.type
                            }
                            show_list.push(check)
                        })
                    })
                    _this.show_list = show_list
                }else if(arg.parentPage == 'item_print'){
                    _this.order_id = list[0].id;
					var show_list = []
					mui.each(list,function(i,v){
					    mui.each(v.product_sn_list,function(sn_i,sn){
					        var check = {
					            color_id: v.color_id,
					            color_name: v.color_name,
					            material: v.material,
					            model: v.product_model,
					            name: v.product_name,
					            pic_name:'',
					            pic_url:'',
					            product_id: v.product_id,
					            product_sn: sn,
					            sale_price_a: v.sale_price_a,
					            sale_price_b: v.sale_price_b,
					            size_id: v.size_id,
					            size_name: v.size_name,
					            type:v.type
					        }
					        show_list.push(check)
					    })
					})							
					_this.show_list = show_list
                }
            }

            mui('.mui-scroll-wrapper').scroll({
                deceleration: 0.0006
            });
        });
    }
});

mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});